commit 6262f353bb04112becc8679f63b1caaf083f1484
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 12 15:26:36 2014 +0000

    Update version to 1.9 and add the release date
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 06fb6c233dd82aac766aa9206644f6eff668ca99
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Dec 12 14:29:00 2014 +0000

    Demos/Android.mk: dont build intel_sprite_on
    
    intel_sprite_on wont build on Android. Previous
    attempt to disable was just wrong!
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 267b352c4fd161a5e96d0a569cdc1f7a3191e90e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 12 14:28:38 2014 +0000

    NEWS: Updates
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit f59bbf7e8f6b0b5208e6cc11e01537a93ae93706
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 12 14:18:07 2014 +0000

    lib: fix a few documentation warnings
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit a11117e42fabc3228d21a4786584acbe9840f1dc
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Dec 12 12:14:33 2014 +0000

    Android.mk: replace std=c99 with std=gnu99
    
    The android makefiles were passing the -std=c99 flag to the
    compiler which disables the typeof keyword. This causes a
    build fail for a recent addition to igt_aux.h.
    Change this to -std=gnu99, which is the flag used in the
    linux build
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 264e1ac10ac14a098a78cc9f96c4e7cabb124ee5
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Dec 12 11:55:21 2014 +0000

    Demos/Android.mk: dont build intel_sprite_on
    
    intel_sprite_on wont build on Android.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 6414707bdc318a0bed4c3ae2fe404e27f3cd377c
Author: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
Date:   Thu Dec 11 15:11:53 2014 +0200

    lib: Fix out of tree build of version.h
    
    Write the version.h.tmp file into the build directory instead of source
    directory. This allows out of tree building when those two are not the
    same.
    
    Signed-off-by: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 42b02c284ed24871528df8f1b3eaad7fe1554fd9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Dec 8 11:12:51 2014 +0000

    lib: add a function to lock memory into RAM
    
    Add a function to lock memory into RAM and use it in the
    gem_tiled_swapping test to reduce the amount of allocated memory
    required to force swapping. This also reduces the amount of time
    required for the test to complete, since the data set is smaller.
    
    The following durations were recorded with gem_tiled_swapping on a
    haswell system before the change:
    
      Subtest non-threaded: SUCCESS (55.889s)
      Subtest threaded: SUCCESS (810.532s)
    
    and after:
    
      Subtest non-threaded: SUCCESS (11.804s)
      Subtest threaded: SUCCESS (268.336s)
    
    v2: add various assertions and requirements and make sure
        gem_tiled_swapping works on systems with less RAM (Daniel Vetter)
    
    v3: fix allocation size calculation
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5fe9c88bdad9bf54013b58f2324b7b47d92ca09d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Dec 2 11:37:26 2014 +0000

    lib: add optional log domain filtering
    
    v2: add an "application" filter for the default domain (used by
        applications)
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 8161a21762b552d97fe6bde8d4fd441d9cd10f61
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Dec 2 10:54:54 2014 +0000

    lib: introduce log domains
    
    Log domains can be used to identify the source of log messages, such as
    the test being run or the helper library.
    
    v2: Add separate domains for different parts of the helper library and
        use an empty default domain for applications.
        Expand the log output to include the process name and the log level
        of the message in addition to the domain and pid.
        Print the expanded message only for warning and debug messages.
    
    v3: check for glibc before using program_invocation_short_name
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 85b74d5c14506bbae53ab02408102645e071a206
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Dec 2 10:53:47 2014 +0000

    tests/gem_tiled_swapping: use igt_info logging wrapper
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 16f1506ff605127121249d35a233d1ba438ffeef
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Dec 10 16:24:03 2014 +0000

    tests: replace 3D test images
    
    Use images with a smaller file size, created by saving the left and
    right stereo output of glxgears.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit bdbf78db018d0d1854ea4274d983cf32e57a7d74
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Dec 10 14:47:45 2014 +0000

    tools: add missing copyright headers
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit f3ae3deb4f7266cd761a6c81ea2263ced23c2fc3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 5 14:46:28 2014 +0000

    NEWS: Updates
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e80922eba61e71bbaae3febf5c69f0ed00809591
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 5 14:07:53 2014 +0000

    Add a MAINTAINERS file
    
    Acked-by: Daniel Vetter <daniel.vetter@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 84f23415c4a82ed3bd230701b2c085ca5dd699a3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 11:18:27 2014 +0000

    Update README
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5d46f68eab1cb6bdaa52eff33bcb0d61149eca3d
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Dec 9 22:33:16 2014 +0200

    tests/kms_cursor_crc: Restore the valid pipe/connector combo check
    
    The valid pipe/connector combo check was lost in
     commit 57259d714d3fe1170cf931af72648219856a9918
     Author: Daniel Vetter <daniel.vetter@ffwll.ch>
     Date:   Mon Nov 24 16:08:32 2014 +0100
    
        lib/igt_debugfs: Don't setup crc in _new
    
    Restore it to make the test again useful on CHV.
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b6f68c10b4ee2b730baeb8129aba36b5210ac291
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Dec 9 14:44:02 2014 +0200

    tests/kms_mmio_vs_cs_flip: Count valid tests for all crtcs
    
    Report SKIP only if none of the pipe/connector combos worked, instead of
    trying to report for each pipe separately.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 1b6eb414f36f3728f5c0393d8f4eefee74abdce9
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Dec 9 15:27:59 2014 +0200

    lib/igt_debugfs: Throw away the two first CRCs
    
    On CHV we sometimes see not just one but two bad CRCs. No real idea
    what would cause that, but let's just throw away the second CRC as
    well to gain some stability for the tests.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 01153e7d5f0b8d4edb0306c2a27030d2757235f4
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Dec 9 17:10:42 2014 +0000

    drv_hangman: Remove unused function
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d49ef76e98d5966c31f6b960dcc1530103b42ae9
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Dec 9 17:07:22 2014 +0000

    kms_cursor_crc: Remove value to 'return' in a void function
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit c252c77dbfae6c7ed4d9a67b2bf545c468c2e205
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Wed Feb 12 16:29:54 2014 +0200

    tools: terminate getopt_long long option arrays properly
    
    The last element of the long options array has to be filled with zeros.
    
    Signed-off-by: Jani Nikula <jani.nikula@intel.com>

commit f333981e1a2f5e7a16d030469c29b53c914a831c
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Nov 28 09:30:45 2014 +0200

    tests/kms_flip: Target the back buffer with the dummy load
    
    Aim the dummy load to the current back buffer instead if the front
    buffer. Assuming the idea is to get the next flip to be stuck behind
    the dummy load?
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 092682a3e5a48bf3555fdb7c4931fecc1df09f9e
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Nov 27 16:51:34 2014 +0200

    tests/kms_flip: Calibrate the dummy load delay in kms_flip
    
    Try to tune the dummy load to ~1 second. The calibration happens the
    first time dummy load is generated.
    
    v2: Actually do the number of ops intended and
        calibrate to 1 second and not 2
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b0cb1e1f9d4b16a13c0afc16c809039fbb288213
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Dec 3 15:25:25 2014 +0200

    tests/kms_flip: Use fixed size (2kx2k) buffers for dummy load
    
    Make the dummy load independent of the display resolution by using a
    two fixed size dummy bos to generate the load. As a final step do
    another copy from one of the dummy bos to the fb to make sure there's
    a dependency between the dummy load and any subsequent operation on
    the fb.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 21db302c9bf8eb936f37f627aea40d3e431fc36c
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Dec 3 14:59:22 2014 +0200

    tests/kms_flip: Refactor blit code
    
    Pull the code to emit a single blit to a separate function.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 8032f526ef1d075e303342b7741db35faadfd00f
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Dec 3 14:51:16 2014 +0200

    tests: Run lib/igt.cocci
    
    Found some open coded min()/max()/swap() macros.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit e1bdab9973ffdb5477666a384b011fa012965758
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Nov 28 11:11:17 2014 +0200

    lib/igt.cocci: Deal with min/max/swap
    
    Replace open coded min/max/swap with the macro invocation.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 1658edceee85bd5f57e8dd39075f1d127260d5b6
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Nov 28 10:03:38 2014 +0200

    lib: Add swap() macro
    
    swap() will swap its two arguments while keeping the required
    tmp variable hidden. Makes for neater code.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b32b5327a20b3747890235c362b093439b854f59
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Dec 4 17:23:05 2014 +0200

    tests/pm_rps: vlv: round middle point to freq supported by HW
    
    When setting the calculated middle frequency value the test assumes that
    the HW/kernel rounds this value according to a 50MHz step value. This is
    not so at least on VLV/CHV, on my B0 BYT-M for example this step value
    is 22MHz, so there the test will fail.
    
    To fix this get the nearest supported value by setting the target
    frequency as a min or max frequency and read it back. The kernel will
    round the returned value to the nearest supported.
    
    v2:
    - remove the 50MHz rounding that was done for non-VLV platforms, the new
      way of rounding should provide the correct value for all platforms
      (Ville)
    
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Imre Deak <imre.deak@intel.com>

commit f70afed4c7abd95fc3250141a1e36587e31f7c87
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Dec 4 17:05:25 2014 +0200

    tests/pm_rps: vlv: load gpu for idle min/max tests
    
    When changing the sysfs GT min/max frequencies, the kernel won't
    explicitly change the current frequency, unless it becomes out of bound
    based on the new min/max values. The test happens to work on non-VLV
    platforms because on those the kernel resets the current frequency
    unconditionally (to adjust the RPS interrupt mask as a side-effect) and
    that will lead to an RPS interrupt setting the minimum frequency.
    
    To fix this load the GPU after decreasing the min frequency and before
    checking the current frequency. This should set the current frequency to
    the minimum.
    
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Imre Deak <imre.deak@intel.com>

commit aabf2d095269ae4cb8e77dd61e5c0c16e602c1d8
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Dec 4 16:40:19 2014 +0200

    tests/pm_rps: vlv: wait for freq to settle
    
    At least on VLV when forcing a new GT frequency by writing to the
    min/max freq sysfs entries the kernel doesn't wait until the new
    frequency settles, so the subsequent readback check might fail. To fix
    this wait until the current frequency is between the min/max values
    using a 10ms timeout.
    
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Imre Deak <imre.deak@intel.com>

commit 470071d4aba10f85b3728cf24acd792a273c1d28
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Dec 8 07:49:49 2014 +0000

    igt/drm_read: Require that pipe 0 is active
    
    As we require a pipe enabled to generate vblanks, the first step is to
    then to check that pipe 0 is active or else skip the test.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 819e68f2ed0064f48250a4ed8e5135026c90b514
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Dec 5 13:12:37 2014 +0000

    igt/drm_read: Abuse read(drm)
    
    Check that the more obvious userspace error conditions are handled by
    the kernel, ideally without loss of data. These include nonblocking
    waits, passing invalid buffers and passing buffers of the incorrect
    length.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b64704673e2a4d891386a1200150e679216b6d60
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Dec 5 11:04:42 2014 +0000

    intel_error_decode: Decode the ERROR register on Sandybridge and Ivybridge
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 88ff1cec3a830fc467b91efb7e1dcdb4d82a0e17
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Dec 4 13:42:12 2014 +0000

    gem_bad_reloc: Don't flip-flop between SKIP and PASS
    
    Here is a cheap way for this test to give consistent results. This
    doesn't change the usefulness of this test, hopefully.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85270
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b3cce757b5e8c0d6b40e2c401e5391162d58e8c6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Dec 4 11:13:04 2014 +0000

    tests: add gem_gpgpu_fill to .gitignore
    
    gem_gpgpu_fill was added in commit 4ec8479 (tests: Add gem_gpgpu_fill),
    but wasn't added to .gitignore.
    
    Cc: Zhenyu Wang <zhenyuw@linux.intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c76f35386c2533e9959be37feca0e80d252fec30
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Dec 3 14:38:45 2014 +0000

    lib: always reset connectors after the state is forced
    
    Install the exit handler to reset connector states whenever
    kmstest_force_connector is called, so that the connector states are
    always reset even if a test fails.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 8d82e5b5efb56bdf1aa2eae8a3d82817854e119b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 8 16:16:39 2014 +0100

    lib: remove igt_edid.h
    
    This has been replaced by igt_kms_get_base_edid().
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 304c874b58c0a65dcc5442c50099d048d4fe0633
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 8 15:24:36 2014 +0100

    tests: use base edid
    
    Use the base edid for testing, which includes several different display
    modes.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 43da3e706b955751506073e1c0e959209f6c7cf4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 8 14:49:36 2014 +0100

    tests/kms_force_connector: split into subtests
    
    v2: fix the initial mode count
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 273a06dc9b68f9c6d78431de23a12ad7364bff99
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 8 14:11:30 2014 +0100

    igt_kms: add a base edid
    
    Add a basic edid block that includes several different display modes.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b2ac2642a9b5448761086bdb8ae1a1e2974b3995
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Nov 28 11:02:44 2014 +0000

    tests: add more test descriptions
    
    Add more test descriptions based on exiting comments.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 029dee797965357dbcbe5a097731701e4d965d82
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Nov 28 11:37:33 2014 +0000

    docs: treat the test description as cdata
    
    Enclose the test description in cdata tags since the test descriptions
    come from the tests themselves and may not be escaped for use in xml.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit a5425a101cd38941961c13f97b56aa0683f64f8e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 19 15:44:00 2014 +0000

    docs: add a glossary of test name terms
    
    Add a glossary of test name terms based on the details in
    tests/NAMING-CONVENTION.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit bc6dc7efdb65a6f5ac01cc2c306951dd9dd92fc4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 26 18:20:03 2014 +0000

    docs: add exit status documentation
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e4e18faffc21cceb1f45c6bbfad9f1ceacdccf05
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Nov 28 11:49:49 2014 +0000

    docs: add subtest lists to test descriptions
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 7d2ab7083b46d30335cdb01006ae8af021578ea2
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 17 11:51:51 2014 +0000

    docs: split the test program documentation into sections
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 4ec8479c53f187cc435f118d90f73ffa43887cd0
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Wed Dec 3 19:09:13 2014 +0800

    tests: Add gem_gpgpu_fill
    
    This is simply a copy of gem_media_fill but using new
    GPGPU fill operation.
    
    v2: Use general fill func pointer.
    
    Signed-off-by: Zhenyu Wang <zhenyuw@linux.intel.com>

commit 10c6ad3805489819047ee24379bb1e7ab08ead1d
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Wed Dec 3 19:05:09 2014 +0800

    lib: Add GPGPU fill
    
    This is to add fill operation using GPGPU pipeline which is similar to
    current media fill. This can be used to simply verify GPGPU pipeline
    and help to enable it on newer HW, currently it works on Gen7 only and
    will add support on later platform.
    
    Now this sets very simply thread group dispatch for one thread per
    thread group on SIMD16 dispatch. So the fill shader just uses thread
    group ID for buffer offset.
    
    v2: No new fill func typedef but adapt to igt_fillfunc_t.
    
    Signed-off-by: Zhenyu Wang <zhenyuw@linux.intel.com>

commit 106f0bf965ac5ba8e5553e3e1b39396750bedc74
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Wed Dec 3 18:56:39 2014 +0800

    lib: rename igt_media_fillfunc_t typedef to igt_fillfunc_t
    
    This makes fill function more general to prepare for other
    fill method using GPGPU pipeline.
    
    Signed-off-by: Zhenyu Wang <zhenyuw@linux.intel.com>

commit 4e5c16c17ed14831aaa369877d78788ad23ce388
Author: Tim Gore <tim.gore@intel.com>
Date:   Mon Dec 1 14:42:37 2014 +0000

    tests/drv_hangman: remove check for other drm clients
    
    This test will not run on Android as the coreu service
    remains running even after the android system is stopped.
    Coreu is a client of drm and when the test finds this it
    fails an assert.
    Coreu is started by the init process and there is no
    tidy, non invasive way to stop it (init just restarts it).
    Coreu isn't doing anything and would not be expected to
    interfere with this test. In addition, all the other
    igt tests just rely on the user/test script to ensure
    that there are no other drm clients, so this test can
    do the same. On Android we must rely on coreu being
    dormant when this test runs.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 77b52f1881c0c62732a1deef8b900e50f1f22301
Author: Tim Gore <tim.gore@intel.com>
Date:   Tue Nov 18 14:59:25 2014 +0000

    tests/Android.mk: Add kms_pwrite_crc to cairo test list
    
    kms_pwrite_crc was recently added and requires cairo, so
    add this to the list of tests to exclude if cairo is not
    avaiable
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e06a7448d894392a294d89959fc1cf4e6a01fd19
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Nov 28 11:13:45 2014 +0200

    tests/kms_flip: Fix assert about vblank wait duration
    
    If we wait for one vblank, we may end up returning almost immediately,
    so trying to assert anything but >0 about the minimum duration is
    bogus.
    
    Instead wait for two vblanks and then we can assert that we should have
    be blocked for at least one frame. And move the upper bound to a little
    over two frames to match.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=79050
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit ddf0f097764da6fdc50ab40c33bef7a0c08d54e3
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Nov 28 14:46:24 2014 +0000

    tests/gem_ring_sync_copy: reduce memory usage
    
    gem_ring_sync_copy uses a lot of memory and gets OOM killed on smaller
    systems (eg android devices).  Most of the allocation is for "busy work"
    to keep the render rings busy and for this we can just re-use the same
    few buffers over and over. This enables the test to be run on low end
    devices.
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit dbac905600c37f180618e6b4467cafbb6c3f8f2a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Nov 25 14:10:04 2014 +0000

    lib: ensure subtests are not added to simple tests
    
    Simple tests do not support subtests, so fail if igt_subtest is used in
    one.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 3bebf3dd011cb7acf280d4deb02723718149a99c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Nov 25 14:03:40 2014 +0000

    tests: use subtests in gem_tiled_swapping
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit ae3a9466316d61ab336f43d06e6ed8bc5025389a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Nov 25 11:59:37 2014 +0000

    lib: fix symbol names in documentation comments
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b8f193bbbff1a322296969ded5a4c3f9fd759c6d
Author: Gagandeep S Arora <gagandeep.s.arora@intel.com>
Date:   Thu Nov 13 23:42:46 2014 +0530

    demos/intel_sprite_on: Added support to compile intel_sprite_on on Android.
    
    Added Android.mk for intel_sprite_on.
    
    v2: Addressed review comments by Daniel Vetter.
        - Moved the cairo independent functions from igt_kms.c to igt_aux.c.
    
    Signed-off-by: Gagandeep S Arora <gagandeep.s.arora@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit dad4694b004a65455523abbb0c7f9839d7125dae
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 24 14:16:25 2014 +0000

    lib: fix igt_reset_connectors
    
    Use igt_debugfs_open to open the connector file, since the
    forced_connectors array now only stores the connector path relative to
    the debugfs path. Also add some extra error checking to ensure a test
    failure if the reset fails.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85829
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 57259d714d3fe1170cf931af72648219856a9918
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Nov 24 16:08:32 2014 +0100

    lib/igt_debugfs: Don't setup crc in _new
    
    The problem is that this causes writes to registers, and if the pipe
    is off they might go nowhere (e.g. when runtime pm is enabled).
    Furthermore we can only really check once the modeset setup is done,
    but again most tests set up the CRC structure before calling
    igt_commit and friends. We could add crc restore support to the
    kernel's rpm code, but that will end up being rather invasive and
    fragile hard-to-test code.
    
    Now originally this was needed back when CRC support wasn't available
    everywhere. But that's fixed now.
    
    So given all this just drop that sanity check and make sure that we
    only touch the debugfs file (and so the hw state) when we know the
    pipe is running in the desired configuration.
    
    A complementary kernel patch will try to catch offenders by returning
    -EIO if the pipe is off.
    
    v2: Forgot to git add one hunk.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=86092
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit d8078911f63494eba67f8f07ffb56c4bdeae7bc9
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Nov 18 15:17:43 2014 +0100

    tests/kms_render: gen2/3 can't do 10bpc
    
    So skip those.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=86236
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 08f0e1c625571533bbef9a591d4ae4ce65c4144d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Nov 18 13:49:29 2014 +0100

    tests/prime_self_import: Track leaked objects accurately
    
    drm_open_any keeps a buffer handle around for the cleanup sync work,
    so we can only grab the buffer count after the latst drm_open_any
    call. Otherwise we'll detect a fake leak.
    
    This broke in
    
    commit 2f2c491cf3167befe7c79e4b17afb4f6284dfc84
    Author: Mika Kuoppala <mika.kuoppala@intel.com>
    Date:   Fri Mar 28 10:52:46 2014 +0200
    
        lib/drmtest: don't dup quiescent fd
    
    since that additional open drm fd keeps a gem object for the default
    context around. Hence why this also only blows up on gen6+ - earlier
    platforms don't have hw context support.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=79821
    Cc: Mika Kuoppala <mika.kuoppala@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 120d6d1b2c8b3f036058bf2d24d08602dea69ec9
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Nov 18 10:39:38 2014 +0100

    lib/aux: Make it clear that rtcwake failures aren't bugs
    
    Because QA has a bunch of shitty machines with old distros and tends
    to re-port this all the time.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=82232
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 16f99ee419f56bf7b56657c78ecaa22ccf0c2982
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Nov 17 14:46:50 2014 +0100

    lib/os: Push simulation test down into intel_require_memory
    
    This has the upside that we'll never forget to add it to thrashing
    tests. But we'll also never miss to move it when adding basic
    functionality tests to existing binaries. Chris already started this
    refining work in e.g.
    
    commit d77eda6614a1955717f224be023dedf74eb7735d
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Fri Nov 14 07:45:40 2014 +0000
    
        igt/gem_linear_blits: Require that we do the full test
    
    by moving igt_skip_on_simulation into subtests.
    
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit a535cdedfbd280c5e07be1c2445e09973836509a
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Nov 17 14:43:33 2014 +0100

    lib/os: Pust igt_require into memory check function
    
    More in line with the usual igt pattern and simplifies the code -
    every called just wrapped it in igt_require.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit aa63fc740c510ed44c1a8dc0fc00f0c92c0581a2
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Nov 7 14:45:01 2014 +0000

    configure: update bug reporting url
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit f674a1f61fe1e63209ba3fab05313ba14ffd071e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Nov 14 07:45:40 2014 +0000

    igt/gem_tiled_blits: Require that we do the full test
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d77eda6614a1955717f224be023dedf74eb7735d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Nov 14 07:45:40 2014 +0000

    igt/gem_linear_blits: Require that we do the full test
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b35b1505f762839b0e9a0f8a146804444566a92a
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Nov 13 13:33:54 2014 +0200

    tests/pm_rpm: add gem-evict-pwrite subtest
    
    This triggers a device suspended WARN in the kernel in
    gen6_ggtt_insert_entries() while calling the GEM pwrite ioctl.
    
    The sequence is suggested by Daniel.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit f12ed8305807975e232e42fd34ad75e1147a788e
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Nov 13 17:24:57 2014 +0200

    tests/kms_pwrite_crc: Add pwrite vs display coherency test
    
    Add a test to verify that pwriting to a future scanout buffer works
    correctly. The specific problem occurs when the buffer is already
    UC/WT before the pwrite, not the current scanout buffer, and not
    currently in the CPU write domain. With the buggy kernel no clflush
    will be performed after the pwrite, and hence we end up with cache
    dirt on the display.
    
    The problem only affects LLC platforms (non-LLC would clflush anyway
    after pwrite), but we can let the test run on all platforms.
    
    v2: Fix typos in commit message and add to .gitignore
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit ebab9f080b24ac11507e872fcfdf58ea9cb7e6fc
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 13 11:47:19 2014 +0000

    lib: only skip subsequent tests if a timeout occurs outside of a subtest
    
    Make timeout behaviour more consistent with igt_fail, where subsequent
    subtests are only skipped if the failure occurs outside of a subtest.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85718
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit f6aa80ca18f3dc5fe751c941fb1af6b4b44d21ef
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 10 15:09:51 2014 +0000

    tests/kms_flip: add a timeout for the nonblocking-read test
    
    kms_flip/nonblocking-read will block indefinitely if it fails, so
    introduce a timeout to indicate test failure.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85718
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 34424138bcee87dc8e3c7555f28aa2642668e2e8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Nov 7 16:25:59 2014 +0000

    lib/tests: add a test for igt_set_timeout
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 6ee3337b28b3598da723099d43ae14fac96d06e5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Nov 7 10:40:32 2014 +0100

    tests/gem_exec_parse: Go OCD about C-style comments
    
    Cc: Brad Volkin <bradley.d.volkin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit bf31ed80e097d6d69c436a5070f6ab6d0a5d08b6
Author: Brad Volkin <bradley.d.volkin@intel.com>
Date:   Mon Nov 3 11:19:00 2014 -0800

    tests/gem_madvise: set execbuf.batch_len before doing an execbuf
    
    The command parser's batch_len optimization causes the parser to
    reject this batch as not having an MI_BATCH_BUFFER_END because
    the length was not set correctly.
    
    Signed-off-by: Brad Volkin <bradley.d.volkin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c1fdc2f0e95714e20b157e318f07110219a2237f
Author: Brad Volkin <bradley.d.volkin@intel.com>
Date:   Mon Nov 3 11:18:59 2014 -0800

    tests/gem_exec_parse: fix batch_len setting for cmd-crossing-page
    
    The size of the batch buffer passed to the kernel is significantly
    larger than the size of the batch buffer passed to the function. A
    proposed optimization as part of the batch copy kernel series is to
    use batch_len for the copy and parse operations, which leads to a
    false "batch without MI_BATCH_BUFFER_END" failure for this test.
    
    To fix this, modify the test to set batch_start_offset and batch_len
    such that they define the range of actual commands in the batch,
    including a few of the surrounding nops for alignment purposes.
    
    v2: update batch_start_offset as well
    
    Signed-off-by: Brad Volkin <bradley.d.volkin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4dd6e0edcf4fb2dd52fafa8b448ce87fafc4125d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 12 10:47:30 2014 +0000

    configure: require automake 1.12
    
    The check tests require AM_TESTS_ENVIRONMENT, which was added in
    automake 1.12.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 10aacc73348f77c8ca01f02730710d8d23fb04de
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 12 10:39:41 2014 +0000

    tests: ensure the script based tests are included in the distribution
    
    TESTS_scripts was accidentally removed from EXTRA_DIST in commit 685e577
    (Move library selftests to lib/tests).
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 50d539efebbd71b4f5499e69d0768e69dceae09a
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Fri Nov 7 15:33:34 2014 +0200

    tests/gem_reset_stats: add defer-hangcheck test
    
    to see if one can fool hangcheck by keeping non hanging
    ring busy
    
    v2: break from loop instead of return (Daniel Vetter)
    
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit c049c39f357295ecfc4d0795b5b3b1e35b04ac58
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 3 13:48:51 2014 +0000

    tests: use igt_debugfs where possible
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 4f689d52e7e6a511fb0de21ccc0b938d57ce6f41
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 30 15:54:44 2014 +0000

    tests/drm_lib.sh: add a "--help-description" option
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 895204fc6257f8ce2cae380f98cab4fd753251a1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 30 15:54:02 2014 +0000

    testdisplay: add a test description
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 98188b4b416fe066f8d7c8ea18b4186c3381223b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Oct 14 15:02:54 2014 +0100

    docs: include descriptions for the test programs
    
    v2: fix various distcheck issues
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e6fec38cf7151596d3f9ead99ea5386be7a7b6de
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Oct 14 13:46:57 2014 +0100

    Build the docs directory last
    
    Ensure that other components are built before generating the
    documentation.
    
    v2: build the docs directory after any optional directories
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 3d0dca47c6fdec0720aca8016af9a889a0eb3409
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Oct 13 11:40:12 2014 +0100

    docs: add some test descriptions
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit f8b3c704af190fcf49f358ea1395ad8fb8b5b5cb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 10 16:56:20 2014 +0100

    lib: add the ability to include a description with a test
    
    The IGT_TEST_DESCRIPTION macro can be used to define a description for a
    test.
    
    v2: Remove semicolon from end of macro (Damien Lespiau)
        Add API documentation for the macro.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c06016798cbd24c24283dbdb3ac2762834d04bcf
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 31 15:45:09 2014 +0000

    configure: fix issues when running outside the source tree
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit ce0d34d73d240a95193a4a6f82adfe5f4844bb66
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 31 15:00:03 2014 +0000

    testdiplay: add a "--help" option
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit db425d69f62690a95048fde6d5dc515686bfa9ac
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 31 12:32:22 2014 +0000

    testdisplay: ensure invalid long option exit status is non-zero
    
    The optopt variable is not set if an invalid long option is used, so
    check the current option character instead.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b441e6ac2ac98ee2f365683f339c8802d238043f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 31 11:45:16 2014 +0000

    lib/tests: don't use hard error status to indicate test failure
    
    An exit status of 99 is reported separately in the test summary as an
    error, rather than as a test failure.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 03a4ad16d17b201ba719bc48d2fb2de341a1cf2f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 31 11:38:02 2014 +0000

    lib/tests: fix tests and test list location
    
    The igt_command_line.sh script was moved by commit 685e577 (Move library
    selftests to lib/tests), but the location of the tests and the test
    lists was not updated.
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 86bb6072a6e104e59ebbea2b41d4d86aeed134dc
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 5 15:58:54 2014 +0000

    tools/quick_dump: don't include generated sources in the distribution
    
    This also ensures that "make dist" works even if SWIG is not available.
    
    BUILT_SOURCES is not required because the files are already explicit
    dependencies of other rules.
    
    v2: make sure SWIG is not invoked with the incorrect output filename
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 2c44d6316a15170a5e2897488729f3d6868e0a1c
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Nov 6 16:02:31 2014 +0800

    Mediafill/skl: Remove redundant field to fix GPU hang
    
    After applying the commit(982f7eb238a0898c456e0574dee7c4507738d75f), the
    OUT_RELOC is updated on Broadwell and later, which is to handle the
    64-bit field of gfx address internally. In such case some commands
    should be fixed, otherwise GPU hang will be triggered when running
    gem_media_fill.  (It is already fixed on Broadwell)
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit c68028936b83a316c7360fe2dc1276cf2424c116
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Nov 6 16:02:30 2014 +0800

    Rendercopy/skl: Remove redundant field to fix GPU hang
    
    After applying the commit(982f7eb238a0898c456e0574dee7c4507738d75f), the
    OUT_RELOC is updated on Broadwell and later, which is to handle the
    64-bit field of gfx address internally. In such case some commands
    should be fixed, otherwise GPU hang will be triggered when running
    rendercopy.  (It is already fixed on Broadwell)
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e34240d4c18bfef1895fad6e8ce9cc80c844ac14
Author: Brad Volkin <bradley.d.volkin@intel.com>
Date:   Tue Nov 4 14:00:43 2014 -0800

    tests/drv_hangman: skip a few asserts when using the cmd parser
    
    This test has a few checks that batch buffer addresses in the error
    state match the expected  address for the userspace supplied batch.
    But the batch buffer copy piece of the command  parser means that
    the logged addresses are actually _supposed_ to be different. So
    skip just those checks.
    
    Signed-off-by: Brad Volkin <bradley.d.volkin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit a973aabed04bb00686b9fd4ce4c1d83ad9b8b0e7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 16:34:40 2014 +0000

    tests: Remove spurious binaries from gem_tiled_wb commit
    
    commit c45216b26d223ffd7f68c5794870214445a64b5c
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Nov 4 07:30:57 2014 +0000
    
        igt/gem_tiled_wb: Exercise CPU mmaps with swizzling
    
    brought along a few interlopers.

commit 83757d7b393e61502fdf331f8239da8acc34213c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Nov 4 17:24:55 2014 +0100

    tests/prime_nv_test: Skip cpu mmap testcase
    
    It's not implemented yet, so no point in running the test really.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=68638
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit fbc673023803b197453af3c7b985c941f654a8fb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 12:13:11 2014 +0000

    igt/gem_tiled_wb: Remove extraneous mmap(wc) requirement
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c45216b26d223ffd7f68c5794870214445a64b5c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 07:30:57 2014 +0000

    igt/gem_tiled_wb: Exercise CPU mmaps with swizzling
    
    This exercises the the extended get_tiling ioctl in order to determine
    proper swizzling for direct access to objects through WB.
    Userspace cannot handle bit17 swizzling through wc mmaps (because bit17
    requires swizzling based on the actual physical address of the page -
    which is unknown to userspace) and so we need an extended get_tiling
    ioctl to report the actual as well as the logical swizzling on an
    object.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 6fff1f8787687a08f66c28007abe1f1edebd5124
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 12:06:17 2014 +0000

    ioctl_wrappers: Pass in offset to CPU mmaps
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 676ccf862c4039f8e9cea8fb23bea053f9f5cf83
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Nov 4 07:40:11 2014 +0000

    igt/gem_linear_blits: Add sufficient RAM check
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=85834
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit e6228509664190a24cb1c22ac597ace8f79ecdd7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 12:26:09 2014 +0000

    lib/igt_core.h: add debug messages for test requirements
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit d950f37be32a2bcf1a3da867bed3f9f397fb912d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 12:03:22 2014 +0000

    lib/igt_core.h: fix igt_skip_on_f requirement message
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5a61421a02fe40a1dcf9f8575d5a5c136da3fdd4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 17:20:52 2014 +0000

    lib/tests: use the "check_" prefix for tests
    
    The "check_" prefix ensures the test programs are not installed and are
    only built when "make check" is run.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b78d142a1583e850713474d8053bea643247b8af
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 17:18:06 2014 +0000

    build: fix distcheck
    
    Fix distcheck issues introduced by commit 685e577 (Move library
    selftests to lib/tests).
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit ab5f7eace1857e60b6432dcabde98089380e5e74
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 29 16:17:41 2014 +0000

    lib: ensure the library is built before the tests
    
    This fixes the build problems introduced by commit 685e577 (Move library
    selftests to lib/tests).
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit ad5cb25d702d7c5faada1de6f9208114a189cab1
Author: Gagandeep S Arora <gagandeep.s.arora@intel.com>
Date:   Sat Sep 13 01:26:04 2014 +0530

    demos/intel_sprite_on: Added support to display all sprites.
    
    Extended intel_sprite_on functionality to display all the
    available sprite planes on a particular connector.
    
    Signed-off-by: Gagandeep S Arora <gagandeep.s.arora@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b6715d9aa7af22316c356d62a917bb034bab7c5f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 29 13:31:15 2014 +0100

    tests: Reenable testdisplay
    
    This seems to have been accidentally disabled in
    
    commit 982f7eb238a0898c456e0574dee7c4507738d75f
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Fri Aug 29 15:19:57 2014 +0100
    
        Prepare for 64bit relocation addresses
    
    Apparently no one noticed.
    
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 97f33912555cd15915ce2b8637bdd05ea0632943
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 29 13:28:55 2014 +0100

    tests/testdisplay: Fix test status check fumble
    
    This is a regression from
    
    4306538d1d3f60877866c39c9ca953cc5e541dae is the first bad commit
    commit 4306538d1d3f60877866c39c9ca953cc5e541dae
    Author:     Daniel Vetter <daniel.vetter@ffwll.ch>
    AuthorDate: Thu Oct 2 11:18:20 2014 +0200
    Commit:     Daniel Vetter <daniel.vetter@ffwll.ch>
    CommitDate: Thu Oct 2 11:34:55 2014 +0200
    
        tests: Sprinkle missing igt_exit() where needed.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85582
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit c15e6933bc5b9b224818ff43060cb0a436e24345
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Oct 28 10:54:32 2014 +0100

    Add CONTRIBUTING file
    
    i-g-t has become a fairly big project with lots of people involved, so
    lets document the basics and formalize the current process a bit.
    
    Also use this opportunity to announce Thomas Wood as igt maintainer
    once more.
    
    v2: Recommend --subject-prefix="PATCH i-g-t" as suggested by Damien.
    
    v3: Clean out contributing-related information from README.
    
    Cc: Thomas Wood <thomas.wood@intel.com>
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 685e57736a2c5da2e955ffd2f0027e4b42e397f7
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Oct 27 15:08:50 2014 +0100

    Move library selftests to lib/tests
    
    Again they're not really igt testcases so are in the way of
    running spatch unconditionally. Move them someplace else.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 9d6a2cacf6796c8e06e4b7432c5f795d4ee56d8b
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Oct 27 14:51:55 2014 +0100

    Move watermark code from tests to tools
    
    They're now igt tests, and so if you blindly run lib/igt.cocci with
    spatch on tests/*c they get mangled. Move them away, but still keep
    them as noinst targets.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 15972aa8666781ad557f17ed4b5d689cdb657d78
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Oct 24 17:40:04 2014 -0200

    tests/pm_rpm: add system-suspend-{execbuf,modeset} subtests
    
    We were having a problem where the system-suspend test was passing,
    but then the next test - gem-execbuf-stress - was failing because of
    bugs caused by the suspend subtest. So add a single test that emulates
    the same problem, and another test that just sets a mode after resume.
    This way, we should be reproducing the problem even if you don't run
    the tests in the order they are defined.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit cba3088619745f509a10d1339db2cd279913e051
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Oct 15 23:13:30 2014 +0100

    skl_ddb_allocation: Respect the minimum number of blocks
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 7296e09ee7f17e6d564e52cf64ee900670849429
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue May 27 21:33:10 2014 +0300

    tests/kms_flip: Make flip-vs-panning-vs-hang change DSPSURF
    
    Make sure DSPSURF will change during the panning operation
    in flip-vs-panning-vs-hang.
    
    This will now test agains bugs between the kernel's mmio vs.
    CS flip race handling and GPU resets. If the kernel is buggy
    if will fail to notice that the panning operation changed the
    base address before the GPU reset had a chance to deal with the
    pending page flips, and so the flip would never complete due to
    DSPSURFLIVE not matching the expected value.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit e497600fb73d138e51a641f7792f11822c20a929
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 24 07:40:04 2014 +0100

    igt/gem_userptr_blits/dmabuf: Map the right pointer for !llc
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=85354#c2
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit eae9f724f2335d8b44ef884e24b1590c3b0a3a33
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Mon Sep 15 13:01:31 2014 +0300

    tests/gem_workarounds: adapt to constant wa list from driver
    
    Driver now returns the constant values that were set once
    on ring initialization time. Extend the simple interface
    check to all gens (i915_wa_registers needs to be present).
    Due to delay when render context is visible on cpu side,
    wait gpu to execute something on default context to get rid
    of undeterministic behaviour by sometimes getting all ones.
    
    Cc: Arun Siluvery <arun.siluvery@linux.intel.com>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit 8b556f7c8fc8b16fdeb7d23adb0e2fb54a8982fc
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Oct 23 17:54:44 2014 +0200

    tests/*: lib/igt.cocci found something!
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 47246981b2497f7a767506fec6f9993d4772183a
Author: Sonika Jindal <sonika.jindal@intel.com>
Date:   Thu Oct 23 08:48:50 2014 -0700

    kms_rotation_crc: Add test for cursor rotation (v2)
    
    v2: Slight rebasing onto latest i-g-t codebase (Matt).
    
    Signed-off-by: Sonika Jindal <sonika.jindal@intel.com>
    Reviewed-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4f6a6cbdfff104cd2382c09909d89bbda010dc29
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Mon Oct 20 13:27:55 2014 +0300

    lib: fix #define max
    
    Regression from:
    
    commit be4710a541b517b5f8663448bffed5656d59b47b
    Author: Thomas Wood <thomas.wood@intel.com>
    Date:   Fri Oct 10 11:20:35 2014 +0100
    
        lib: add common min and max macros
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85218
    Tested-by: Guo Jinxian <jinxianx.guo@intel.com>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit 18cb650318bb2c910f95d7c7df6625110ed1a590
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 07:55:54 2014 +0100

    igt/gem_userptr_blits/dmabuf: Provide partial coverage on !llc platforms
    
    Without LLC, we cannot assume coherency between system RAM and the GTT.
    If we try to use the GTT with snooped memory, the machine may lock up,
    so the kernel prevents us from doing so, causing the test to fail.
    However, we still do want to verify that we can access the userptr
    through a dmabuf, so just check that we can make a copy from it using
    the GPU and ignore the GTT cross-checking.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85354
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit ac2079596c0a8119f77d58ae3d5e3f8e13e5b96d
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 21 11:45:59 2014 -0200

    lib/igt_aux: move audio RPM code to igt_setup_runtime_pm()
    
    If we don't enable audio runtime PM, the audio driver won't release
    its reference, the refcount won't ever become zero, so we will never
    actually runtime suspend. So move this code from pm_rpm.c to
    igt_aux.c, so kms_flip - and any other IGT test case using RPM - can
    benefit from it.
    
    Previously, if you ran pm_rpm before running the other tests - or if
    you just didn't have snd_hda_intel loaded - you wouldn't notice this
    bug.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78893
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit a06071c0cf66f1a077563fb3ffa15856a57db18d
Author: Brad Volkin <bradley.d.volkin@intel.com>
Date:   Wed Oct 15 14:52:42 2014 -0700

    tests/gem_exec_parse: test for chained batch buffers
    
    libva makes extensive use of chained batch buffers. The batch
    buffer copy portion of the command parser has the potential to
    break chained batches, so add a simple test to make sure that
    doesn't happen.
    
    Signed-off-by: Brad Volkin <bradley.d.volkin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit bba1cd0091b3e8e987f15dac1f38d233b5b0ee78
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 14 13:52:58 2014 -0300

    tests/kms_cursor_crc: HSW/BDW only have square cursors
    
    When I look at cursor_size_ok() (from the Kernel's intel_display.c), I
    see that only 845g and i865g support non-square cursors, so SKIP the
    tests on HSW/BDW instead of failing them.
    
    This problem happened because support for non-square cursors was being
    developed for HSW/BDW, but it ended up not being merged due to a small
    problem and priority changes. Let's make those tests SKIP until we
    have proper support on the Kernel: after that, we can revert this
    patch.
    
    v2: Improve commit message.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84268
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit fc6d464a59ca33257b31ed8273681250a0807e9e
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 14 16:01:10 2014 -0300

    lib/igt_aux: make igt_wait_for_pm_status() resist the signal helper
    
    If the signal helper is active, the usleep() calls return earlier, and
    we may end up returning false way before the 10s timeout, failing the
    subtests. This currently happens on the kms_flip RPM interruptible
    subtests.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78893
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 06de0e7f297d3f0e7747edea6252201ff43846b9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 15 12:10:13 2014 +0100

    tests/kms_force_connector: fix assertion when VGA is already connected
    
    Compare the number of modes available when the edid is reset with the
    number before the edid was overridden.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82230
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 1a0ae51f512860e89a7a5978d76a8c280e9324eb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 16 17:29:55 2014 +0100

    tests: add a check for command line handling
    
    Check that command line handling works consistently across all tests.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit d02ffe46bb89305a81d249ba75afe84835bbe70e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 16 16:35:44 2014 +0100

    drm_lib.sh: add standard command line options
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 48394471c58462fe3c245b27e730db7a8aedf29a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 16 14:23:24 2014 +0100

    configure: include the skylake quick_dump files in EXTRA_DIST
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit d2595d765008ddc0cb6fa7ac4c8a4ecf45c6268e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 16 13:59:37 2014 +0100

    quick_dump: fix distcheck
    
    Commit 711a17a (quick_dump: Move base_display.txt to indivual platforms)
    renamed base_display.txt to common_display.txt, but didn't update
    Makefile.am accordingly. Since common_display.txt is now included in the
    platform files, it is automatically included in $(QUICK_DUMP_EXTRA_DIST)
    and therefore just the reference to base_display.txt needs removing.
    
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit be4710a541b517b5f8663448bffed5656d59b47b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 10 11:20:35 2014 +0100

    lib: add common min and max macros
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit d4e3b6a0f5cd759182a53e2bc51a3d3f317a81f0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 8 17:06:58 2014 +0100

    lib: various documentation fixes
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 303fe742fcdd7da6f03f948a4e41b529ee39613a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 13 15:14:15 2014 +0100

    skl_ddb_allocation: Make 'end' exclusive in the DDB allocation entry
    
    Ville suggested that we should use the same semantics as C arrays to
    reduce the number of those pesky +1/-1 in the allocation code.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f951943055f9af516d87f221076b6a690df1ee7a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Apr 28 07:11:04 2014 +0100

    skl_ddb_allocation: Add checks on the DDB entries
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 69a465d22a9d06045f76621dfba46861adb6456c
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Apr 28 05:56:31 2014 +0100

    skl_ddb_allocation: Add a standalone version of the DDB allocator
    
    This is useful to debug the allocation algorithm.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e11b7100c9c8d4e74a4d4439b1519ea50741fda5
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 9 16:44:12 2014 +0100

    tests/kms_force_connect: skip if a VGA connector is not available
    
    v2: rename "connector" to "vga_connector" to improve the skip message
        (Chris Wilson)
    
    Suggested-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5209ec142dc1f5380c2c9d12c5b28d15b4311cdf
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Oct 9 16:29:20 2014 +0100

    tests/kms_force_connector: ensure igt_exit is called at exit
    
    Since commit 5782eca (lib/igt_core.c: disable lowmemorykiller during
    tests), igt_exit needs to be called before the test exits.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84771
    Cc: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5c7d54eae5cbf9fd74cd8bd755b90d0edb1283dc
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Tue Oct 14 10:19:13 2014 -0700

    tests/pm_rc6_residency: Split RC6p and RC6pp.
    
    sysfs interface for rc6 has been changed to only expose deep RC6 file to the platorms
    that really support them, aka SNB and IVB.
    
    So let's split this test and only test RC6p and RC6pp on these platforms.
    
    Reference: https://bugs.freedesktop.org/show_bug.cgi?id=84886
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit e7abb635162a3729f5a86419420f0192b557fcde
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 14 15:09:22 2014 -0300

    tests/pm_rpm: use igt_assert_eq() on COMPARE()
    
    A few weeks ago we were hitting this assertion, and the _eq macro is
    more useful when you're debugging.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 97715d5f0fad67da1d8e06db8f9d5a3c1d1aa51c
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 14 14:59:36 2014 -0300

    tests/pm_rpm: fix some compilation warnings
    
     warning: ignoring return value of ‘write’, declared with attribute
     warn_unused_result [-Wunused-result]
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 7308e3a92be0529eaff26bc488f86924db09b688
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Oct 14 14:42:23 2014 -0300

    tests/pm_rpm: reduce the number of rounds on the stress tests
    
    With the current Kernel, it takes more than 10 minutes to run
    modeset-stress-extra-wait on BYT with eDP, and we don't really want
    IGT subtests that take more than 10 minutes to run: QA reports them as
    bugs.
    
    Since, as far as I remember, any of these RPM race condition bugs we
    had could always be triggered with just 4-5 rounds of testing, let's
    tune down the number of rounds we test:
    
    Before:
    	rounds = (--quick option used) ? 10 : 50;
    
    After:
    	rounds = (--quick option used) ? 10 : 40;
    	rounds = (wait_flags & WAIT_EXTRA) ? rounds / 2 : rounds;
    
    This should make all subtests be way above the 10m limit.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84897
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 8aa7fdaee8afe569544ffd33f5c3ebac27d2da5b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 10:10:42 2014 +0100

    igt/gem_bad_reloc: Handle real offset being 0
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit cd5ed4529693c00863405fcf29d9b27d91f3fe28
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 09:27:40 2014 +0100

    igt/gem_negative_reloc: Execute a BLT operation with a negative reloc
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a0b5c6d2ee784a8ea49534050087b3c630a41bc4
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Oct 10 08:18:28 2014 -0700

    Revert "tests/kms_sink_crc_basic: Wait 2 vblanks before grabing the new crc."
    
    This reverts
         commit d92fbc23138b1014e8574daf29dbb06b8c81aa7a.
         Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
         Date:   Tue Sep 9 12:25:47 2014 -0400
    
             tests/kms_sink_crc_basic: Wait 2 vblanks before grabing the new crc.
    
    Sink CRC is fixed on kernel to wait as many vblanks as needed. It was fixed b
         commit ad9dc91b6e21266bfc6f466db4b95e10211f31ee
         Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
         Date:   Tue Sep 16 19:18:12 2014 -0400
    
             drm/i915: Fix Sink CRC
    
    This this fix in place we don't need this extra 2 vblanks on test case itself
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 9c8ee51be25c6c27c97a6898a71bc7f79439f9dc
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Oct 10 08:14:32 2014 -0700

    Revert "tests/kms_psr_sink_crc: Wait 2 vblanks before grabing the new crc."
    
    This reverts
         commit d190a1f9668680c7a429110c91f8faa27949b220.
         Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
         Date:   Wed Sep 3 21:26:29 2014 -0400
    
         	     tests/kms_psr_sink_crc: Wait 2 vblanks before grabing the new crc.
    
    Sink CRC is fixed on kernel to wait as many vblanks as needed. It was fixed by:
         commit ad9dc91b6e21266bfc6f466db4b95e10211f31ee
         Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
         Date:   Tue Sep 16 19:18:12 2014 -0400
    
             drm/i915: Fix Sink CRC
    
    This this fix in place we don't need this extra 2 vblanks on test case itself.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit ca6b63f588183cc4ba19d54c2901e84491084692
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Fri Oct 10 16:59:00 2014 +0300

    tools/null_state_gen: Add copyright notice to state output
    
    along with info about what generated it.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit f246f1ed0c2f5eb0c0dc7d92b3d678ecdbf03539
Author: Armin Reese <armin.c.reese@intel.com>
Date:   Fri Sep 5 13:58:11 2014 -0700

    tools/null_state_gen: Add GEN9 golden context batch buffer creation
    
    Modifications to 'null_state_gen' so it can generate GEN9
    golden context batch buffer source for SKL.
    
    v2: - rebased on top of gen8 changes (Mika)
        - fixed state base address command size (Mika)
        - base address size macro as pages (Mika)
    
    v3: - rebased on top of current master (Mika)
        - removed obsolete #includes (Mika)
        - added copyright (Mika)
        - render and component packing added (Mika)
    
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    Cc: Armin Reese <armin.c.reese@intel.com>
    Cc: Volkin, Bradley D <bradley.d.volkin@intel.com>
    Reviewed-by: Volkin, Bradley D <bradley.d.volkin@intel.com> (v2)
    Signed-off-by: Armin Reese <armin.c.reese@intel.com> (v1)
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit 0e8ac72d5d608d82a91bb5232badfb872589ac14
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Mon Sep 8 10:49:59 2014 +0300

    tools/null_state_gen: Add Gen8 golden state
    
    Previously we didn't have a clear understanding what is necessary
    for a pipeline state to be properly initialized. So we had to improvise
    and use a stripped out render copy.
    
    Now we have a more clear understanding so switch out render copy based
    frankenstate to state we can call golden state.
    
    v2: - export intel_batch_state_offset
        - add 3DSTATE_RASTER (Bradley Volkin)
    
    Cc: Volkin, Bradley D <bradley.d.volkin@intel.com>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit b69659c3f5ed285bd218350deeff52761aec3d10
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Mon Sep 8 10:41:38 2014 +0300

    tools/null_state_gen: Add macro to emit commands with null state
    
    In null/golden context there are multiple state commands where
    the actual state is always zero. For more compact batch representation
    add a macro which just emits command and the rest of the state as zero.
    
    v2: - Be more verbose about length bias (Bradley Volkin)
        - strip out unrelated state_offset declaration (Bradley Volkin)
    
    Cc: Volkin, Bradley D <bradley.d.volkin@intel.com>
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit a1f847cba91b9e542e37bb80895d8f8909319dd3
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Thu Oct 9 18:39:05 2014 +0300

    tools/null_state_gen: Limit the total state len to 4096 bytes
    
    Currently our kernel side buffer object is only one page.
    Limit the amount of dwords to 1024 to enforce this.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit b498d81f152760b2a58d53ac3acb5269f44a253d
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Thu Oct 9 18:35:49 2014 +0300

    tools/null_state_gen: Add more debug output
    
    Be more verbose about the state size we generate.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit c283ead78c4cb5cd56d0a7e74ebc43970ff5741d
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Thu Oct 9 19:10:48 2014 +0300

    tools/null_state_gen: Add copyrights
    
    to files where they were missing.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit b7d80d104758fb4c90723246aed943c0097c6156
Author: Adam Sampson <ats@offog.org>
Date:   Tue Oct 7 17:41:18 2014 +0100

    Don't use += to append to a shell variable.
    
    POSIX only requires "=" to be supported; "+=" works in bash but not in
    dash.
    
    Signed-off-by: Adam Sampson <ats@offog.org>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 432a4b488110561bc4dc8a50665b60380fb50e04
Author: Adam Sampson <ats@offog.org>
Date:   Tue Oct 7 17:41:17 2014 +0100

    Use = rather than == in test.
    
    The POSIX standard only requires test to support "="; "==" works in bash
    but not in dash. Other comparisons in configure.ac use "=" already.
    
    Signed-off-by: Adam Sampson <ats@offog.org>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c7551bf7ccee3ce52dc51b4684716c4b10b80604
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 10:44:06 2014 +0100

    igt/kms_flip/nonblocking_read: Demonstrate that O_NONBLOCK is a myth
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 7041edfd144035f987001bd4f4a367d403cad912
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Oct 8 10:25:48 2014 +0100

    quick_dump: Drop common_display.txt from VLV/CHV
    
    Those registers are big core registers and weren't really relevant for
    VLV/CHV. Drop them from the dump then.
    
    Suggested-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 7f8228955f3f3eef42e6fc61f4fa95b37b36df75
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 17:42:33 2014 +0100

    quick_dump/skl: Make quick_dump SKL aware
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d0a412597b92208d13d640013a2b277bd22f6c11
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 15:10:35 2014 +0100

    quick_dump/skl: Add some display registers
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 711a17ac753161500c5901e9f4d85ad8906b2a8b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 18:32:51 2014 +0100

    quick_dump: Move base_display.txt to indivual platforms
    
    SKL will have a whole separate display regs file, so merge
    base_display.txt into each platform file.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 2faf5a8665bba9ab7ad64ac6aa8c13be8f176d7d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 16:30:39 2014 +0100

    quick-dump: Make quick dump link against libintel_tools
    
    Because quick-dump was only selecting a few files in lib/ and we move
    stuff around and/or add new dependencies we were failing to provide the
    necessary symbols to the shim library providing python bindings. And so
    we had a run-time error:
    
    Traceback (most recent call last):
      File "./tools/quick_dump/quick_dump.py", line 17, in <module>
        import chipset
      File "/home/damien/gfx/sources/intel-gpu-tools/tools/quick_dump/chipset.py", line 28, in <module>
        _chipset = swig_import_helper()
      File "/home/damien/gfx/sources/intel-gpu-tools/tools/quick_dump/chipset.py", line 24, in swig_import_helper
        _mod = imp.load_module('_chipset', fp, pathname, description)
      File "/usr/lib64/python3.3/imp.py", line 183, in load_module
        return load_dynamic(name, filename, file)
    ImportError: /home/damien/gfx/sources/intel-gpu-tools/tools/quick_dump/_chipset.so: undefined symbol: kmstest_pipe_name
    
    So, let's simplify maintainance and just link against the library we're
    building and using elsewhere.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d4c1bb7aab2d2d7ed3eb3225f937f55f591f1ae4
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 16:49:05 2014 +0100

    gem_wait: Use PRIu64 in format string
    
    ../../tests/gem_wait.c: In function ‘render_timeout’:
    ../../tests/gem_wait.c:182:3: warning: format ‘%llu’ expects argument of type
    ‘long long unsigned int’, but argument 3 has type ‘uint64_t’ [-Wformat=]
    
       igt_info("Finished with %llu time remaining\n", timeout);
    
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit af79fce66d023b300f308ec78289c616c81037d3
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 18:23:33 2014 +0100

    overlay: Fix compilation warning when not having xrandr
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 6b964c93f7322ee6b27ad0c2a26280e17e56ec23
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Oct 6 18:19:58 2014 +0100

    gem_seqno_wrap: Remove unused variable
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 5c0139c3046a390204c6339468b22779f76460b1
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Oct 6 08:32:49 2014 +0200

    tests/gem_wait: Don't close drmfd in subtest
    
    I didn't notice this on the machine I developed it since the original
    wait testcase fails there. Oops.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 764772c3c8059a6a9d1a569d9c4bd180e11c4d33
Author: Tim Gore <tim.gore@intel.com>
Date:   Thu Oct 2 16:26:32 2014 +0100

    lib/Android.mk: add define of IGT_DATADIR for igt_fb.c
    
    Since the igt_create_stereo_fb function moved into igt_fb.c
    we need to add the definition of IGT_DATADIR in the Android
    makefile in order to build the cairo dependent tests.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 4306538d1d3f60877866c39c9ca953cc5e541dae
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Oct 2 11:18:20 2014 +0200

    tests: Sprinkle missing igt_exit() where needed.
    
    Yay for breaking piles of tests.
    
    This regression has been introduced with
    
    commit 5782eca1e19e85a04ad402fa4094aa1b5f9c53ce
    Author: Tim Gore <tim.gore@intel.com>
    Date:   Wed Oct 1 13:25:20 2014 +0100
    
        lib/igt_core.c: disable lowmemorykiller during tests
    
    Cc: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 5782eca1e19e85a04ad402fa4094aa1b5f9c53ce
Author: Tim Gore <tim.gore@intel.com>
Date:   Wed Oct 1 13:25:20 2014 +0100

    lib/igt_core.c: disable lowmemorykiller during tests
    
    Several IGT tests cycle through a lot of GEM memory and
    when running these tests on Android they tend to get
    killed by the lowmemorykiller. The lowmemorykiller really
    is not usefull in this context and is just preventing the
    test from doing its job. This commit adds a function to
    disable the lowmemorykiller by writing "9999" to its
    oom adj parameter, which means it will never "select"
    any process to kill. The normal linux oom killer is still
    there to protect the kernel.
    The low memory killer is disabled during the common
    init function and then re-enabled by the exit handler.
    To make this work for single tests the exit handler is now
    installed in the common init function also so that it is
    invoked for all tests.
    This is just a hack to get round the fact that the i915
    driver uses the concept of purgeable memory which is not
    understood by the lowmemorykiller. If this ever gets
    fixed then this patch can be removed.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    [danvet: A bit of polish (coding style, static and rename
    check_igt_exit to common_exit_handler, drop the is_disabled check
    since we only call this once now).]
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 20c8eba84ce4f108b5a980fe7278da5853655c1d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 1 12:12:43 2014 +0200

    NEWS: Updates
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 711199b8ecb2fa07918e7061ff3b208efcaaa237
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Sep 30 18:44:15 2014 +0200

    lib/aux: Print progress output at INFO level
    
    With the structured logging it makes more sense to tune this down a
    bit. Also, this way it is consistent with Thomas Wood's new activity
    indicator helper.
    
    Spotted while discussing Thomas' patch with him.
    
    v2: Thomas noticed that I've forgotten the fflush. Extract
    igt_interactive_info for both igt_progress and igt_print_activity.
    
    v3: Interactive output should go to stderr. Also extract the "is this
    a terminal" check.
    
    Cc: Thomas Wood <thomas.wood@intel.com>
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 6a8d33c2bb81f071715864c2e563ac17ae4f9967
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Sep 30 17:05:39 2014 +0100

    lib: add a function to indicate activity
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c2d5519906f3b7d75b4fbf14c61c5f54d9d75214
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Sep 29 12:08:31 2014 +0100

    tests/sysfs_l3_parity: fix warnings in test enumeration
    
    Source drm_lib.sh before skipping the test to ensure that subtest
    enumeration is always handled correctly.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 756764a4e78ac8b6ea294924d272431f98f695ca
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Sep 26 15:16:21 2014 +0100

    lib: ensure any buffers are flushed before fork
    
    Flush any buffers before forking to prevent duplicated output.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 519f377ddd6d43b7824f94f09eb3d3cabc39c6b9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Sep 26 14:24:52 2014 +0100

    doc: various spelling and typo fixes
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c256af5d448dcaef1d4100c2bdbe25656909197d
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Sep 18 18:31:29 2014 +0300

    test/kms, pm: use drm_open_any_master
    
    These tests require DRM master right, so make sure they have it from the
    beginning. This gives an early indication if another DRM master is running
    and makes the given test skip (with a proper explanation of the reason)
    instead of exiting with error.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>

commit bfda78cd33b6562306c8c42e83047149f2ff6984
Author: Imre Deak <imre.deak@intel.com>
Date:   Thu Sep 18 18:25:37 2014 +0300

    tests/pm_rpm: factor out drm_open_any_master
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>

commit 781a0485aca871d6b0278afacea724b97f6f59c1
Author: Xiang, Haihao <haihao.xiang@intel.com>
Date:   Fri Apr 11 21:57:21 2014 +0800

    lib/skl: Return the render copy and media fill functions
    
    Signed-off-by: Xiang, Haihao <haihao.xiang@intel.com>
    [Ben: Reordered if tree]
    Signed-off-by: Ben Widawsky <benjamin.widawsky@linux.intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 20e9cf38b7c3aa0725eb282ecf446f0e9b4344ad
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Tue Feb 11 10:48:47 2014 +0800

    mediafill/skl: Follow spec to configure media sampler DOP clock gating in PIPELINE_SELECTION
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d2e4eb3619fa61013f7704f55d0516fb380ac49b
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Tue Feb 11 10:48:46 2014 +0800

    mediafill/skl: Follow spec to configure FORCE_MEDIA_AWAKE in PIPELINE_SELECTION
    
    The FORCE_MEDIA_AWAKE bit is added for the PIPELINE_SELECTION command and
    some instructions requires that the media enginee is awake.
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 54465b8ac5d97560a27f04683448ab74b466a89a
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Tue Feb 11 10:48:45 2014 +0800

    mediafill/skl: Follow the spec to add pipeline_select mask
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 17371958dbe6de8a92bf3e0e98b37ddb12241c17
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Tue Feb 11 10:48:44 2014 +0800

    mediafill/skl: follow the spec to update STATE_BASE_ADDRESS command
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 31e94ad28b5fab3373e6c7bf10b7894ca89cfb0a
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Tue Feb 11 10:48:43 2014 +0800

    mediafill/skl: Start the gen9 media_fill from the gen8 version
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8dc95202c8c241c50f2e17d3734fc6cb004c076e
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Jan 23 13:26:12 2014 +0800

    assembler/skl: update the extdesc field for SEND instruction
    
    The send instruction on gen9 uses the 32bit immediate instead of 6bit immediate
    for the extended message descriptors. And some bits of SEND instruction are defined
    as the extdesc field.
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d6ff0b3f1f78c16a2754454c6134a999affa7f4c
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Jan 23 13:26:11 2014 +0800

    assembler/skl: Add more cache agent for write(...)
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e48666947df43814b89c4280e2c2208274628542
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Jan 23 13:26:10 2014 +0800

    assembler/skl: update read(...)
    
    READ(...) is used for Render Target read and Media Block read. But there is no
    sampler cache agent on gen9. At the same time two message types don't
    share the same cache agent any more. So a parameter is needed for cache agent.
    The 2th parameter of read(...) is not used for gen6/gen7/gen8. Hence it is
    reused as cache agent for SKL as that on ILK.
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 504f5594e7f2e78ec828a3b30bbb749a3bc91472
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Jan 23 13:26:09 2014 +0800

    assembler/skl: Redefine the cache agent type for some fixed functions
    
    The different cache agent type is defined for SKL although it still uses
    the same function ID as the previous generations.
    
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 2149d6e5f8856f195236e9d414fbce880c81debf
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Feb 5 12:10:44 2013 +0000

    assembler/skl: Add gen 9 to the -g option
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit fe4e4c176c7d3ae9ba59d4a40f12f83a29b6151c
Author: Xiang, Haihao <haihao.xiang@intel.com>
Date:   Fri Apr 11 21:57:20 2014 +0800

    rendercopy/skl: Set the URB VS start address to 4
    
    A value less than 4 might result in GPU hang on simulation
    
    Signed-off-by: Xiang, Haihao <haihao.xiang@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@linux.intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 5b46cd335d8323c8b0c48c2c004f983605e25433
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:26 2014 +0800

    rendercopy/skl: Follow the spec to add the Pipeline selection mask
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8e62f78999281ad4bc7b9981b127830d0d3796d9
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:25 2014 +0800

    rendercopy/skl: Emit 3DSTATE_WM_HZ_OP
    
    This is from that on BDW. Without it, the pixel pipeline can't work well.
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 833e47662436094646f8510e7f9e7b3edd3d6b89
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:24 2014 +0800

    rendercopy/skl: Fix the 3DSTATE_DS instruction length
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 7628268952c586120e879310e542556d6a387abe
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:23 2014 +0800

    rendercopy/skl: Fix the STATE_BASE_ADDRESS instruction length
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 77a9ed7da2ef28cd80da68a97c1f409bc7d5eacf
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:22 2014 +0800

    rendercopy/skl: Set Instruction Buffer size Modify Enable to 1
    
    This is ported from that on BDW.
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e539e91cf5d1d127abc9652dd2213a1997e54fb3
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:21 2014 +0800

    rendercopy/skl: update instruction length
    
    This is ported from that on BDW.
    
    v2: Only bump the prefix when we need to program the instruction
    differently with the previous generations.
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f04bf00c0d4e3b19fea63ad1d0b959575baf43b5
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Wed Jan 22 09:37:20 2014 +0800

    rendercopy/skl: Pass the context to rendercopy function on SKL
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Zhao Yakui <yakui.zhao@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit ecd659e000dc3165c33793b7da612863738dc1c5
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Feb 27 14:57:35 2013 +0000

    rendercopy/skl: Update 3DSTATE_SBE
    
    SBE has now to be explicitely told which channels of which components
    are used by the pixel shader.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit e5b850cb340a7dde8e6907a6de28d0ba825d1cb2
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Feb 27 14:57:34 2013 +0000

    rendercopy/skl: Set the 3DSTATE_VF state
    
    This is to ensure the "Component Packing Enable" bit is set to 0.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit aa7f9cf881a50370cdf49c6210d8224c32943d24
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Feb 27 14:57:33 2013 +0000

    rendercopy/skl: Start the gen9 rendercopy from the gen8 version
    
    v2 (Ben): Rebased on:
     commit ea11d103e0617e33bce6f11328521d15b13422b0
    Author: Oscar Mateo <oscar.mateo@intel.com>
    Date:   Tue Nov 12 11:50:35 2013 +0000
    
        build: list all test/tool/lib source files in their own Makefile.sources
    
    v3: (Ben): Rebased on the doc/API rework. Probably needs review
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit 334f657e981e2f2278d26516f0ebd559f2ebbfb7
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri May 31 15:34:04 2013 +0100

    list-workarounds/skl: Add Skylake to the list of valid platorms
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 4d95a1551b1606789650e43e9dfe0df128066b81
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Feb 14 15:32:36 2013 +0000

    skl: initialize instdone bits for gen9
    
    gen9 uses the same bits as gen8.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Reviewed-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 256831cd8832a39ffd5fbd38e561d31dcc4e8f96
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Feb 14 15:32:35 2013 +0000

    skl: Add gen9 to intel_gen()
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Reviewed-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 91ebcd0c54d365a633a7465a9d57f8c24c886af7
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Dec 6 16:07:22 2013 -0800

    skl: Add SKL PCI ids
    
    v2: Update to the latest PCI ids
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit 0eaa18061bee4b4b0c182d112db189019f01f49a
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Sep 29 14:50:57 2014 +0200

    tests/gem_wait: argument validation tests
    
    Shockingly we don't check for 0 flags!
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit e4753d2d96fbb88077e70820793137f45f02c9ba
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Sep 29 14:42:33 2014 +0200

    tests/gem_wait_render_timeout: Convert to subtests
    
    I want to add a bunch of api tests besides the functional
    "render-timeout" testcase.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 5da8b8db02df768ba560e7522f69106246a0590c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Sep 29 14:24:26 2014 +0200

    tests/gem_wait_render_timeout: Drop local structs
    
    We're long past the point where libdrm has these.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit f33fa71481caa308f141797033cd2bc6479630fc
Author: Tim Gore <tim.gore@intel.com>
Date:   Mon Sep 29 13:34:30 2014 +0100

    lib/igt_core: make single/simple tests use igt_exit
    
    Currently tests that use igt_simple_main will simply call
    "exit()" if they pass, making it difficult to ensure that
    any required cleanup is done. At present this is not an
    issue, but it will be when I submit a patch to turn off the
    lowmemorykiller for all tests.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    [danvet: Also update api docs.]
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 32a0308e2da1ed5871e21ca81822fc0c8aa73f9e
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Sep 26 16:48:02 2014 +0100

    kms_cursor_crc: Remove two unused local variables
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f2775039b1d2f3c24876622e4528604496de8abc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 26 10:22:33 2014 +0100

    igt/gem_userptr_blits: Test interruptible create-destroy
    
    In order to exercise https://bugs.freedesktop.org/show_bug.cgi?id=84207
    we need to interrupt the mmu_notifier_register with a signal. This is
    likely to be quite difficult, but let's just try running the
    create-destroy test in an interruptible loop for 5s.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3e766b8255efb6c994e6501be2af44b4bdc4d191
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 26 07:55:49 2014 +0100

    igt/gem_concurrent_blit: Only read back a few GTT values
    
    Due to the nature of the test, we can be reasonably sure that it is
    either all copied or not. So we can sacrificing testing the entire
    buffer for the expected value in order to speed up the test by only
    testing along the diagonal.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84354
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3205a9167fca34db8eb177a9050faf1b4115e9fa
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Sep 23 15:15:51 2014 +0200

    tests/kms_psr_sink_crc: Use options
    
    Env variables are a bit more annoying since much harder to discover.
    With options you can just see what they do with --help.
    
    Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Reviewed-by: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 4b81e9ca7df84d3c8775ebf0332f7444cafe8e77
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 16:40:00 2014 +0100

    igt/gem_reloc_vs_gpu: Fix reloc.presumed_offset value
    
    Since the last patched value does not match the presumed relocation
    value we submit to the kernel, it occasionally makes mistakes. Also note
    that the libdrm interface makes the same presumptive mistake, and would
    easily be broken by a threaded environment.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=77793
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c3eca6f7d3a788eab0102c4a3ded606ec851a0b2
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Sep 19 09:31:52 2014 +0200

    tests/drm_import_export: Add subtest for prime
    
    Cc: Rafal Sapala <rafal.a.sapala@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit a018d60f631443f09da0a2adffc7255a0687f0d8
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Sep 18 17:34:27 2014 +0200

    tests: Add drm_import_export
    
    Multithreaded test to validate the (lack of) locking in the flink/open
    code in libdrm-intel. Based on a testcase from Rafel Sapala.
    
    Cc: Rafal Sapala <rafal.a.sapala@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 25c55d3fc26ec415e0ed290b7d3cda0e15209f66
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Sep 12 18:03:25 2014 +0300

    tests/kms_cursor_crc: Add basic non-square cursor testing
    
    To minimally verify that non-square cursors work on the platforms where
    they're supported perform the tests first with WxH cursor and then
    repeat with WxH/3 cursor.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 7b76754e0ee3b84e703f823dd89aa94d75c011e7
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Sep 12 20:18:04 2014 +0300

    lib: Add igt_plane_set_size()
    
    Allow tests to specify the plane size instead of assuming that the
    entire FB will be scanned out.
    
    To keep the current tests working without having to sprinkle
    igt_plane_set_size() calls all over the place, make
    igt_plane_set_fb() reset the plane size to the FB size.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b4fe481d4f2ccebc125185a4c5cb652b71513723
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Aug 28 16:52:53 2014 +0300

    tools: Remove punit and nc reg read/write tools
    
    intel_iosf_sb_{read,write} provide the same functionality.
    
    intel_dpio_{read,write} are still left in place since they use a
    ifferent opcode to do the register access. Need to verify if
    both opcodes work.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b23329f08662e6d15220006cffa0344231b27b04
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Aug 28 16:50:53 2014 +0300

    toos/intel_iosf_sb: Add symbolic unit names
    
    Add a bunc of symbolic sideband unit names so that you don't have to go
    trawling through the sideband HAS every time you want to poke at
    something with the tool. You can still specify the port manually though
    if you know them by heart already.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit b39eb28c256ecdf4f60dab08dba4bbc36294a576
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Aug 28 16:32:46 2014 +0300

    tools: Allow iosf-sb utils to work on chv
    
    Unlike the kernel IS_VALLEYVIEW() doesn't cover chv in igt. Add the
    appropriate IS_CHERRYVIEW() checks to the various sideband poking tools.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 50534460dd2034bd4cbdabd803fa2680cbc7b490
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Wed Sep 17 10:35:55 2014 -0400

    tools/intel_reg_dumper: Shows fences and rp debug regs on BDW+.
    
    v2: a more generic fix to cover current and future platforms (Damien).
    
    Reviewed-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 1244fc6b9bc56cdf1584e919230796082b93f371
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 16 08:17:00 2014 +0100

    igt/pm_rps: Fix STORE_DWORD for pre-gen8
    
    gen8 actually changed the command layout, not just extended the
    relocation value. Oh well.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=83915
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 137877f16b7d026fa1bc17797604e17de2af7e92
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Sep 9 11:43:10 2014 +0200

    NEWS: New heading for 1.9
    
    Should be done post-release.
    
    Cc: Rodrigo Vivi <rodrigo.vivi@gmail.com>
    Cc: Thomas Wood <thomas.wood@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 4779655c6f9c8c6c4599fd39cdff1f66d0f373b3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 12 11:09:41 2014 +0100

    lib: Try harder to drop-caches
    
    If at first we don't succeed, try again. (For as long as the errno says
    to at least!)
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f81d8eba4fb4448e6ea777aa2072c3b9f277e7cb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 12 09:11:55 2014 +0100

    igt/kms_render: Iterate only through the formats
    
    When testing each format, iterate through the formats and not randomly
    through the modes.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=83788
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 855dc6284d97931dbe59725cfc7b0b160b0a37b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 12 09:08:41 2014 +0100

    igt/gem_userptr_blits: GTT mmaping a userptr requires llc
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=83790
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3a1751ef34c32c5d288a328d855bec49ad0eaf9f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 12 06:46:28 2014 +0100

    igt/pm_rps: Fix the batch count for emitting the flush
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81858#c2
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 62f4d56676468cc6b7e1fb900ccf120d68352f65
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Tue Sep 9 19:04:48 2014 -0400

    tests: Kill pm_psr
    
    kms_psr_sink_crc check psr activity, residency and exit for screen updates.
    So this test is useless.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit d190a1f9668680c7a429110c91f8faa27949b220
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Wed Sep 3 21:26:29 2014 -0400

    tests/kms_psr_sink_crc: Wait 2 vblanks before grabing the new crc.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 1447d83e8ecc0689be2b3e933d1d21b042474ea7
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Wed Sep 3 18:18:15 2014 -0400

    tests/kms_psr_sink_crc: Fix blt submission
    
    Putting back a missing dword.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 25aa69d0a00435432f85ee86b30a2981411fbbbb
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Tue Sep 9 13:10:51 2014 -0400

    tests/kms_psr_sink_crc: Check color ref CRC
    
    Black screen is forbidden on this test. So let's fail if sink crc shows
    it is back.
    
    Also there are many cases where we know for shure it should be all green,
    so let's check for them.
    
    Instead of checking colors we could print with sw using cairo and check if we
    have identical crc like cursor testcases. However with PSR the chance of artifacts
    is low and chance of getting blank screen or unchanged screen is high. So even drawing
    on sw and comparing both CRCs we can have the same result. However the risk is that
    screen never changed. So the safest way is to compare if screen changed and check
    the green color when we know it should be green or not green.
    
    v2: Hardcoded green was simply wrong because green CRC can change depending
        on display.Split R, G and B on CRC and bitewise them with mask to verify
        it is green.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit d4e6a5197002b51644bc01d4f7926c4b4d726933
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Aug 29 19:12:54 2014 -0400

    tests/kms_psr_sink_crc: Fix all testcases.
    
    In order to get all test cases fixed and the matrix planes-operations working
    it was needed to use the common new igt kms functions for all cases.
    Previously only sprite testcase was using it.
    
    Fixed the fb colors in a way to make tests more clear and be impossible to see
    black screen during the tests.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 99efdc0cdbeeb9f1695c668c673c31957d78954b
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Tue Sep 9 17:58:45 2014 -0400

    tests/kms_psr_sink_crc: Start splitting tests in test_planes and operations.
    
    This will allow us to test input/write oprations on any kind of plane.
    
    At this point PLANE_ONOF is just the new name of TEST_SPRITE and
    PLANE_MOVE is the one for TEST_CURSOR_MOVE. They will be extended and fixed
    on the following patche(s).
    
    v2: fix conflict after changing previous patch
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 52b0e78a94ebcb8761dd7d0eadb8deaab8abedf4
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Aug 29 18:19:55 2014 -0400

    tests/kms_psr_sink_crc: Cleaning up tests a bit
    
    This is needed to be able to split tests in a matrix that tests different
    input/write methods and operations for different type of planes.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit fb004a6b029d2338aef869a1f25b9925688d3106
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Wed Sep 3 17:53:35 2014 -0400

    tests/kms_psr_sink_crc: Removing context tests.
    
    This tests are unecessary. Mainly now with the software tracking for PSR.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 1ab044518a22ac0c44067de9f90f4a828c2f7482
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Aug 29 17:58:31 2014 -0400

    tests/kms_psr_sink_crc: Adding test debug options
    
    Just to make life easier and be eable to easily test with
    PSR disabled to know exactly what to expect when running it
    for real
    
    v3: Use igt_debug helpers and add env option for running with psr disabled
    on this test without have to recompile like v1 or changing igt infrastructure like v2.
    I tried to add --disable-psr or local --dry-run but than it fails to print subtests
    so this was the safest way.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit e90847f57a0446130b92c9c638da6299f37639b5
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Fri Aug 22 09:37:08 2014 -0700

    tests/kms_psr_sink_crc: Fix edp_psr debugfs interface
    
    Tests were broken on platforms that doesn't have psr or on new kernel that contains new interface.
    A lot more need to be done to get these tests really useful, but for now lets avoid it breaking
    tests framework.
    
    v2: Doesn't duplicate kernel's HAS_PSR. skip based on debugfs output.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit d92fbc23138b1014e8574daf29dbb06b8c81aa7a
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Tue Sep 9 12:25:47 2014 -0400

    tests/kms_sink_crc_basic: Wait 2 vblanks before grabing the new crc.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 1d7b062621fa291d3412f47265d0ba603b65cc96
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Wed Sep 3 19:01:08 2014 -0400

    tests/kms_sink_crc_basic: Simplify test by using igt_kms functions
    
    v2: sink CRC R, G and B might change depending on display. So let's split the
    colors and bitwise them.
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit 107151ce9f82955191a7fd6a2e6bfd5ff8cc5aea
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 9 16:27:57 2014 +0100

    igt/gem_ppgtt: Create secondary contexts and mm
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 961578f47133d7310e9531d31e7ea5e743ed6b50
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 9 14:17:08 2014 +0100

    test: Exercise full ppgtt switching between multiple fd
    
    Load up both rings with lots of fighting between multiple contexts.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d9d3f4b0d23a7ea2147f33ab40558edd6128f3ac
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Mon Sep 8 22:43:46 2014 -0400

    bump version to 1.8 and add the release date
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@intel.com>

commit cdf0ea825ec529fe4f9e63d503da11d0a3cdee1c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 8 12:52:31 2014 +0100

    igt/gem_cpu_reloc: Terminate the bad batch
    
    gen2 will read the batch up until it reaches the end as defined by the
    MI_BATCH_BUFFER_END command. Play nice and make sure that it does end on a
    MI_BB_END.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit be6bb4ce4a413df5ec385523313a4e2a3894d4c8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 7 15:52:10 2014 +0100

    igt/kms_flip_tiling: Use the associated pipe for the output
    
    This stops us from using an illegal pipe, such as pipe 0 for LVDS on
    PNV.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82280
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b76f1d8b03aa506624a8a9d7fab915758bd0dec5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 8 10:28:41 2014 +0100

    igt/gem_mmap_gtt: Check coherency between GTT and CPU mmappings with LLC
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit ac3d06094a635bfeb0c6d6752f7f7bfbc21ecf2a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 18:14:35 2014 +0100

    igt/kms_universal_plane: Only test existing planes
    
    Only attempt to test the number of planes that exist on the device so as
    not to trigger spurious failures.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82233
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5eeb1f34d4bd16ef22e9252e876dd93c28c73b3c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 17:25:01 2014 +0100

    igt/drv_missed_irq_hang: Increase busy load
    
    The test relies on having to wait upon the GPU at some point and so
    simulating a missed interrupt. If there is insufficient load on the GPU,
    we can complete the task before we even wait.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=71334
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d35cc3ea8c0023eb8aadf3e946b1c759c6e29b3a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 12:41:28 2014 +0100

    aux: Squelch warning when emitting progress indicator
    
    commit 1649ef0d1f5c0e4f995a437bd24f1574a8b5100f
    Author: Daniel Vetter <daniel.vetter@ffwll.ch>
    Date:   Tue Aug 26 15:26:21 2014 +0200
    
        lib/igt_* Use igt macros in igt libaries
    
    went a little too far here as the replacement macro was too clever.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit fb9c9e3adcc18b137b8931bc4f6fb05ca4d19863
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 12:21:25 2014 +0100

    core: Prettify igt_require_f output
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9df77d566409fcef90c7ea63bb6d3df8d8c76dde
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 12:08:13 2014 +0100

    lib/igt_fb: Ignore RGB888
    
    None of our display hardware supports the packed 24-bit format, so stop
    trying to use it and causing test failures.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78873&list_id=465068
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit db4cc747fac2692d3b947992384d21a253e2a264
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 12:07:49 2014 +0100

    lib/igt_fb: Add debug output for creating fb
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 91a432721c2b16aa6610bd9c89bbee7763552f77
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 6 08:40:04 2014 +0100

    core: Display subtest walltime
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f675f6771b1a3eaca6981ad78d2f1521f379347a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Sep 4 11:35:01 2014 +0100

    lib: keep a list of modified connectors to reset
    
    Avoid calling functions in igt_reset_connectors that are not safe to use
    in signal handlers by keeping a list of connectors that have been
    modified, instead of enumerating all connectors.
    
    v2: add space for a sentinel NULL value on forced_connectors and print a
        warning when the connector limit is reached (Chris Wilson)
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=83498
    Cc: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 48da0e69adbf086c560a4e3175a16b85a1662bbd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Sep 4 17:00:16 2014 +0100

    tests/kms_3d: skip if connectors cannot be forced
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit d3c83b203372a00f846a3858711aae7ba290d570
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Sep 4 16:56:17 2014 +0100

    lib: don't force HDMI or DP connectors on HSW and BDW
    
    Forcing HDMI or DP connectors on these platforms doesn't currently work,
    so fail early to allow the test to skip if required.
    
    v2: restrict to HSW and BDW (Daniel Vetter)
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 3aac97107ed386885cfb78f16e0c15a1042fe8cc
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Aug 29 17:54:10 2014 +0100

    lib/igt_fb: ensure igt_create_fb parameters are consistent
    
    Make sure the parameters in the prototype and implementation of
    igt_create_fb match and are complete so that the documentation is
    correct.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5303ce8076b03a02f891090367d2abc53f9588b7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Aug 20 11:13:34 2014 +0100

    tests: add kms_3d test
    
    Add a test to verify creation and use of 3D stereo modes.
    
    v2: update for API changes
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 4cb194669782d759e60bad3fa61e3efc0ee7c7ec
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Aug 4 16:14:51 2014 +0100

    lib: move create_stereo_fb from testdisplay to igt_fb
    
    Move create_stereo_fb from testdisplay to igt_create_stereo_fb in igt_fb
    so that it can be used in other tests.
    
    v2: update for new igt_create_fb API
        add parameters for format and tiling
        remove some old debug code
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit a124b1a430bf47f31fcff0614dbc00dbe2794dcf
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jul 30 11:10:49 2014 +0100

    lib: add kmstest_edid_add_3d
    
    kmstest_edid_add_3d adds an EDID extension block with 3D support to a
    copy of the specified EDID.
    
    v2: Avoid using an invalid CEC SPA (Clint Taylor)
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 4a604dee6003d3c377a2984ce288f7e9b8fdf85b
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Aug 1 21:19:56 2014 +0300

    tools/null_state_gen: build cmd and state space separately
    
    Instead of building batch directly to memory, build into cmd and
    state arrays. This representation allows us more flexibility in batch
    state expression and batch generation/relocation.
    
    As a bonus, we can also attach the line information that produced the
    batch data to help debugging.
    
    There is no change in the output states produced. This can be considered
    as a preparatory patch to help introduce gen8 golden state.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit b77145dd489ef4e05799aa734927b9f9e77710d2
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Aug 1 21:19:55 2014 +0300

    lib: Add MI_LOAD_REGISTER_IMM
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit c5ad1c329564cdfc4b99596e5d02f5b6b16edea2
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Aug 1 21:19:54 2014 +0300

    lib/gen6_render: fix GEN6_3DSTATE_VF_STATISTICS define
    
    We dont use this pre CTG and we will need it for gen8 golden state.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit f0023fa8f54a9f7f8b65699b08f2692093f101dd
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Aug 1 21:19:53 2014 +0300

    lib/rendercopy: fix a typo in define
    
    No functional changes
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit ba614bea44d2a1661312a8465791d9e844e55f8b
Author: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Date:   Fri Aug 1 21:19:52 2014 +0300

    tools/null_state_gen: terminate relocs with -1
    
    as this was already changed in kernel.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit c49542af073687a5dc66eaef19c31eeaf5766a86
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Sep 5 08:51:27 2014 +0200

    lib/igt_aux: Improve wait_for_keypress helper a bit
    
    - Use keys in just one env variable to enable/disable it.
    - Add an informational message so that the users knows when to press
      the key (more useful over ssh than when run on the terminal ofc).
    - Improve the documentation so that it's clearer how to use this
      when running tests.
    
    Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    Acked-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit a16ebccaee426ef96b0894e3af733360d88ce4d7
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Sep 3 14:47:21 2014 -0300

    igt_core: zero exit_handler_count before forking
    
    If we don't reset exit_handler_count before forking, we may have a
    case where the forked process is killed before it even does
    "exit_handler_count = 0": in that case, it is still finishing forking.
    When that happens, we may end up calling our exit handlers. On the
    specific bug I'm investigating, we call igt_reset_connnectors(), which
    ends up in a deadlock inside malloc_atfork. If we attach gdb to the
    forked process and get a backtrace, we have:
    
    (gdb) bt
    0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
    1  0x00007f15634d36bf in _L_lock_10524 () from /lib/x86_64-linux-gnu/libc.so.6
    2  0x00007f15634d12ef in malloc_atfork (sz=139729840351352, caller=<optimized out>) at arena.c:181
    3  0x00007f15640466a1 in drmMalloc () from /usr/lib/x86_64-linux-gnu/libdrm.so.2
    4  0x00007f1564049ad7 in drmModeGetResources () from /usr/lib/x86_64-linux-gnu/libdrm.so.2
    5  0x0000000000408f84 in igt_reset_connectors () at igt_kms.c:1656
    6  0x00000000004092dc in call_exit_handlers (sig=15) at igt_core.c:1130
    7  fatal_sig_handler (sig=15) at igt_core.c:1154
    8  <signal handler called>
    9  0x00007f15634cce60 in ptmalloc_unlock_all2 () at arena.c:298
    10 0x00007f156350ca3f in __libc_fork () at ../nptl/sysdeps/unix/sysv/linux/x86_64/../fork.c:188
    11 0x000000000040a029 in __igt_fork_helper (proc=proc@entry=0x610fc4 <signal_helper>) at igt_core.c:910
    12 0x000000000040459d in igt_fork_signal_helper () at igt_aux.c:110
    13 0x0000000000402ab7 in __real_main63 () at bug.c:76
    14 0x000000000040296e in main (argc=<optimized out>, argv=<optimized out>) at bug.c:63
    
    After doing some searches for "stuck at malloc_atfork", it seems to me
    we probably shouldn't be doing any malloc calls at this point of the
    code, so the best way to do that is to make sure we can't really run
    the exit handlers.
    
    So on this patch, instead of resetting the exit handlers after
    forking, we reset them before forking, and then restore the original
    value on the parent process.
    
    I can reproduce this problem by running "./kms_flip --run-subtest
    2x-flip-vs-modeset" under an infinite loop. Usually after a few
    hundred calls, we end up stuck on the deadlock mentioned above. QA
    says this problem happens every time, but I'm not sure what is the
    difference between our environments that makes the race condition so
    much easier for them.
    
    The kms_flip.c problem can be considered a regression introduced by:
    commit eef768f283466b6d7cb3f08381f72ccf3951dc99
    Author: Thomas Wood <thomas.wood@intel.com>
    Date:   Wed Jun 18 14:28:43 2014 +0100
        tests: enable extra connectors in kms_flip and kms_pipe_crc_basic
    
    even though this commit is not the one that introduced the real
    problem.
    
    It is also possible to reproduce this problem with a few modifications
    to template.c:
      - Add a call to igt_enable_connectors() inside the first fixture.
      - Add igt_fork_signal_helper() and igt_stop_signal_helper() calls
        around subtest B.
    
    Note that the crucial piece is that the parent actively kills helper
    children, and if we skip tests this can happen _really_ fast. See e.g.
    
    commit a031a1bf93b828585e7147f06145fc5030814547
    Author: Daniel Vetter <daniel.vetter@ffwll.ch>
    Date:   Fri Sep 13 16:43:22 2013 +0200
    
        lib/drmtest: ducttape over fork race
    
    for past hilarity in this area.
    
    Cc: Thomas Wood <thomas.wood@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81367
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 081887504a72878fc5f54778af68ebd9404b4e04
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 3 13:38:30 2014 +0100

    igt/gem_concurrent_blit: Move igt_require() out of children
    
    Otherwise the test infrastructure throws a fit.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=83420
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3309f54e8f15d2d82544b00abff2215f50ca27b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jul 26 11:42:20 2014 +0100

    igt/gem_gtt_hog: Convert opencoded fork()/wait() over to igt_fork()
    
    No reason not to use the common infrastructure here.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a54faca98717eda0e192139bd72f110bd5a98c90
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Sep 3 12:51:33 2014 +0200

    NEWS: Updates in anticipation of the next release
    
    Signed-off-by: Daniel Vetter <daniel.vetter@intel.com>

commit 4bff3ee012a05b92b5779a0cb8e74a575f74a878
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Sat Aug 30 22:46:41 2014 +0100

    gem_workarounds: intel_wa_registers is now prefixed with i915
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Reviewed-by: Arun Siluvery <arun.siluvery@linux.intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit f473a5543eb601473e2b23e6ff7bff0f468bd3d0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 1 07:23:30 2014 +0100

    rendercopy/gen8: Fix vertex buffer relocation
    
    I was thrown by the routine calling itself gen7 when in it gen8 specific
    and required 64bit relocation fixes.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c12f292b1d8bbc61b65f1dfc3fd4a9e1e286dbee
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Aug 31 16:14:40 2014 +0100

    igt/gem_concurrent_blit: Use the preallocated dummy bo for temporary copies
    
    Use the existing allocation, saves having to make fresh allocations in
    the innermost loop - trimming code and potential failure paths.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d6af0043bdde1413a3ccdc4e82d3f5b95b3ae271
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Aug 30 14:48:36 2014 +0100

    batch: Fix typo in BLIT_BATCH_BEGIN
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 10552b5ca6c193e0c696e96c9f5e0d6142f4d8ee
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Aug 30 11:44:51 2014 +0100

    batch: Specify number of relocations to accommodate
    
    Since relocations are variable size, depending upon generation, it is
    easier to handle the resizing of the batch request inside the
    BEGIN_BATCH macro. This still leaves us with having to resize commands
    in a few places - which still need adaption for gen8+.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 255bade1ea98e642fe6d01c9dee8d5e8661bd816
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 21:25:14 2014 +0100

    igt/gem_seqno_wrap: Use debugfs singleton
    
    This has the added advantage of automounting debugfs for us.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 982f7eb238a0898c456e0574dee7c4507738d75f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 15:19:57 2014 +0100

    Prepare for 64bit relocation addresses
    
    This reveal that quite a few locations were writing relocation offsets
    but only allowing for 32 bit addresses. To reveal such places in active
    tests, we also now double check that we do not use more batch space than
    declared.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 86055df9682948ef26b06b94a3856676d638e2fb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 17:36:29 2014 +0100

    igt/gem_concurrent_blit: Apply some fence pressure as well
    
    As before, we also want to race against access through the fence
    registers. This overlaps slightly with gem_set_tiling_vs_blt, but the
    different access pattern should make it useful.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d28b9d27bf6c1c5e0dae591985442a25bbecab86
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 17:30:40 2014 +0100

    igt: Tweak the igt_assert_cmpint macro
    
    Minor tweak to embed the constant format string rather than passing it
    to the vararg printf.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit fbfa754e8dce1553e024310eb7b7ed9469ed238b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 19:28:34 2014 +0100

    lib/batchbuffer: Guard intel_blt_copy with even more asserts
    
    Assert that the source/destination bounds are within the pitch and size
    of the associated bo.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 23d961e950e92bb00c7cb29fa73499af568e7571
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 14:49:59 2014 +0100

    lib/batchbuffer: Store the gen in a local variable
    
    Reduce lookups and improve code clarity.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 822cc6a5655db6c210204ca349dbbed05ee1838b
Author: Mike Mason <michael.w.mason@intel.com>
Date:   Tue Aug 26 13:31:27 2014 -0700

    scripts: Add capability to resume interrupted run-tests.sh session
    
    Piglit provides a 'resume' feature that can restart an interrupted
    test run at the point where it stopped. This patch adds that
    feature to run_tests.sh.
    
    Signed-off-by: Mike Mason <michael.w.mason@intel.com>
    [Thomas: remove additional new line from end of file]
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 59c55626f93eabafe4617f4aca6ec11545340d9d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 13:11:37 2014 +0100

    igt/gem_concurrent_blit: Add ring race checks
    
    Similar to the previous commit, we also want to check that every
    pipeline is serialised correctly. This extends the test to include
    render copies as well as blits.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 6c428a6c060a23dc948f198f7a63096bd2739875
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 13:11:37 2014 +0100

    igt/gem_concurrent_blit: Add GPU-vs-GPU checks
    
    In future, we may allow reordering of GPU batches. This implements a
    simple race detector by extending the current CPU-vs-GPU checks.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3b94d3f8ce21c92d3209e73ab48fda64beb0037e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 29 13:11:40 2014 +0100

    igt: Prettify igt_assert_eq() failure messages
    
    This just improves the language about the exact failure to reduce
    confusion.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d0a41b47ea5ed1ac5ca45f83d2917c6ad41b644a
Author: Arun Siluvery <arun.siluvery@linux.intel.com>
Date:   Tue Aug 26 14:50:28 2014 +0100

    igt/gem_workarounds: igt to test workaround registers
    
    Some of the workarounds are lost followed by a gpu reset, suspend/resume;
    this patch adds a test which compares register state before and after
    the test scenario.
    
    This test currently verifies only bdw workarounds.
    
    v2: address patch cleanup comments (ThomasW)
     Add binary to ignore list and use igt_debugfs helper fns
     to read debugfs file and igt_info for printing debug info.
    
    v2.1: address minor comments from Daniel
     use igt_main as opposed to normal main
    
    Signed-off-by: Arun Siluvery <arun.siluvery@linux.intel.com>
    [danvet: Drop igt_exit, it's already in igt_main.]
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 2ef19ad79a07d862a2dc799ab2e71d2ad91c9065
Author: Rémi Cardona <remi@gentoo.org>
Date:   Mon Aug 18 01:09:15 2014 +0200

    shader-debugger: Force file/stdout IO as UTF-8
    
    Not all locales on linux are UTF-8, the most notable being the C locale.
    Python will use the ASCII codec for stream IO in this case and will barf
    on the Copyright sign at the top of .g4a files.
    
    Bugzilla: https://bugs.gentoo.org/show_bug.cgi?id=519434
    Signed-off-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 257a51ec955b178ed07e4797a7d36f35a8cc82fe
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 26 15:26:34 2014 +0200

    lib: Use igt macros more
    
    Stragglers.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 1649ef0d1f5c0e4f995a437bd24f1574a8b5100f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 26 15:26:21 2014 +0200

    lib/igt_* Use igt macros in igt libaries
    
    Except in igt_core since that would lead to some hilarious recursions.
    
    v2: Don't fflush any more, spotted by Chris.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 71ac5de5a4473d20fb11cb454f62d8e5c90f020c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 26 15:13:06 2014 +0200

    lib/intel_* Use igt checks and macros
    
    Various stuff all over. Most done with the igt.cocci spatch, but
    with a few fixups by hand. And add igt_core.h includes where needed.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit baa6f8b34f54b68c15fc86d86de77d954e458aac
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 26 15:03:40 2014 +0200

    lib/rendercopy*: Use igt_assert

commit 4428151960b71a2ca4c83e8da3f4b0b826a8a26c
Author: Sonika Jindal <sonika.jindal@intel.com>
Date:   Tue Aug 19 12:01:25 2014 +0530

    kms_rotation_crc: Calling commit2 instead of legacy commit
    
    Since planes are universal now, using commit2 so that drmModeSetPlane can be
    called for primary plane as well instead of drmModeSetCrtc. drmModeSetPlane will
    update the x,y,w,h for the plane.
    
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    
    Signed-off-by: Sonika Jindal <sonika.jindal@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c1cf0d81389e8cc696a233aa357130f97e1b9a4c
Author: Wendy Wang <wendy.wang@intel.com>
Date:   Tue Aug 26 14:38:49 2014 +0800

    Merge two subtests for pm_rc6_residency IGT case
    
    Combine two subtests(rc6_residency_check and rc6_residency_counter)
     into one subtest(residency_accuracy)
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 50166d2a20b72d008e5991a157a45cd9a77e4dea
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Aug 19 11:55:22 2014 +0100

    lib/fb: Assert, instead of silently failing, when creating fbs
    
    We were either returning 0, or a negative value cast to an unsigned int
    for errors and the clients of that API weren't exactly checking
    anything.
    
    We're in luck, we can take shortcuts in a testing library to just assert
    when an expected error occurs.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 54397cafed108e54e98f109b8fd6cb4fdc729823
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Aug 19 11:40:07 2014 +0100

    lib/fb: Replace straight igt_fail() by asserts with debug messages
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d9ffb7dfc3e9a36e63561f0e3a995275a445f87f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jun 20 12:02:09 2014 +0100

    testdisplay: Make the desired tiling mode an unsigned int
    
    We may be able to scan out more tiling formats in the future.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 5f16ef6f28b97d16301d10b7a137a3d0fdcb0927
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Aug 18 16:55:57 2014 +0100

    pm_rpm: Adjust to the new igt_create*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 9317f39a5e3729ac128c960a3e21d7234239b2db
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:28:07 2014 +0100

    pm_lpsp: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 210f76c4969d9b8ed74230116d4d212a6f503e73
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:27:17 2014 +0100

    kms_sink_crc_basic: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit ab4cb9d7ce4b69e25447cc7c161cc12cb9b879cf
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:26:34 2014 +0100

    kms_setmode: Adjust to the igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 0d4cf057f518b079b7aa3d55f0ee14903b5abbcc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:25:39 2014 +0100

    kms_render: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 3149b8e903ecdbd7fadbbfcd9d3fdddf11b444a7
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:24:49 2014 +0100

    kms_psr_sink_crc: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 4a8c6346e53f1fbda34a0d7d376b2a906716a38a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Aug 18 16:50:07 2014 +0100

    kms_plane: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b013b2117964529f8e693f5da2c865258b2af42d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:21:21 2014 +0100

    kms_pipe_crc_basic: Adjust to the new igt_create.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit fd1317bd25944feebbd553a7c85395beb6842df0
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:19:25 2014 +0100

    kms_mmio_vs_cs_flip: Adjust to the new igt_create_.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 876fe198c7a47a427d49347141a70cc3f5607a55
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:18:00 2014 +0100

    kms_flip_tiling: Adjust to the new igt_create_.*fb() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit d71031cd7455fa2119215abca651e816ad0807a1
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:16:54 2014 +0100

    kms_flip: Adjust to the new igt_create_fb*() API
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 3a930273a05790570fb1986bc36f67bbf6a7af3b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:13:46 2014 +0100

    kms_fence_pin_leak: Use I915_TILING_X to create fbs
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 66d31332ddaadf8d92ff761747d51716f5a0f5da
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:12:48 2014 +0100

    kms_fbc_crc: Use I915_TILING_X to create fbs
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 0c14af65eaf0d052a8263fadd53c825282576608
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 15:11:12 2014 +0100

    kms_cursor_crc: Use I915_TILING_NONE to create fbs
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 378e61e4d872136d9d106bcaae1fcafb5ce1c460
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 14:53:24 2014 +0100

    lib: Change the fb creation functions to take fully qualified tiling formats
    
    In the future, we'll need more than X tiling here. So give a full enum
    instead of bool meaning X-tiled.
    
    It's fine to do this change without updating the users just yet as
    'true' happens to be I915_TILING_X.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 4d2f511cee49db9b8f1ebf93b9835d871dfb9a9e
Author: Mike Mason <michael.w.mason@intel.com>
Date:   Mon Aug 18 10:43:49 2014 -0700

    tests: Fix seg fault when gem_mmap is run without specifying a subtest
    
    gem_mmap seg faults when all tests are run together. This occurs because
    the new-object subtest closes the gem object, but short-mmap assumes
    it still exists. Thus gem_mmap__cpu() returns nil for addr and memset()
    seg faults. This patch makes new-object and short-mmap create and
    close their own gem objects.
    
    Signed-off-by: Mike Mason <michael.w.mason@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e9da093b13c572b50c84ea2ec19244c8e2b78f08
Author: Mike Mason <michael.w.mason@intel.com>
Date:   Mon Aug 18 10:43:09 2014 -0700

    scripts: Allow multiple -t and -x regular expressions for run-tests.sh
    
    Piglit allows multiple -t and -x regular expressions to be
    given on the command line. This patch enables run-tests.sh to
    support that as well.
    
    Signed-off-by: Mike Mason <michael.w.mason@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 75365eb01b7cb530426d84ea5357ed7b31575337
Author: Tim Gore <tim.gore@intel.com>
Date:   Mon Aug 18 14:56:43 2014 +0100

    intel-gpu-tools: skip kms_flip_event_leak unless we have cairo
    
    kms_flip_event_leak depends on cairo, so add it to the
    list of tests to skip (in Android.mk) if ANDROID_HAS_CAIRO
    is not set to 1.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 79c0c9622c870a4e562dfe7b7e5b3625f73c61d1
Author: Mike Mason <michael.w.mason@intel.com>
Date:   Fri Aug 15 19:14:12 2014 +0000

    Add kms_flip_event_leak to .gitignore
    
    This patch just adds kms_flip_event_leak to tests/.gitignore.
    
    Signed-off-by: Mike Mason <michael.w.mason@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 1bec6cb2c241ec449cd75579041506d1708bd341
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Aug 14 14:06:37 2014 +0100

    tests: check plane rotation is reset after the VT mode is restored
    
    Make sure the rotation is reset after the VT mode is restored by
    collecting the unrotated CRC and comparing with the CRC value after VT mode
    has been restored. The CRC is used to ensure the hardware state is checked,
    rather than any software state.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=82236
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit fcb324c2cca6549cd95fb84269622feb72c90cbd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Aug 14 13:59:02 2014 +0100

    lib: add igt_restore_vt_mode
    
    Add a function to restore the previous VT mode after
    igt_set_vt_graphics_mode is called.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 5c7bcb11bea366ede55e839656f4d03f150b2ca3
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 12:10:20 2014 +0200

    lib/igt_kms: doc for the remaining kmstest_ functions
    
    Plus a bit an overview section explaining the split in the library - a
    few people (everyone except me it seems) didn't really understand it.
    
    v2: Fix typo'ed s/kmstest_set_vt_graphics_mode/kmstest_get_pipe_from_crtc_id/
    in a doc comment spotted by Imre.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 1cad834261e5792f19406faf111235737da15191
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:57:32 2014 +0200

    lib/igt_kms: Simplify return value of kmstest_get_connector_config
    
    A plain bool is enough.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 81dfcaba88f2a6f04830b7da2fd7d79cf6120a40
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:56:41 2014 +0200

    lib/igt_kms: Simplify return value of kmstest_get_connector_default_mode
    
    A plain bool is good enough, no need for fancy negative error values.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 3b39bfff60967c13dbadae8ff051819d78c6bd2f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:31:44 2014 +0200

    lib/igt_kms: Shuffle kmtests_ functions
    
    Group them a bit both in the header and .c file, and make sure they
    appear in the same order in both.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 33f0884f3c711551a89483e438a6cf18af8ab25e
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:23:09 2014 +0200

    lib/igt_kms: set_vt_graphics_mode is a low-level helper
    
    So give it a kmstest_ prefix and shuffle it around a bit.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 9a15b5a5e2cb0ab34c0e11dc53a183919664157f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:13:03 2014 +0200

    lib/igt_kms: doc for type2str functions
    
    Also shuffle things around a bit to make sure the order in the header
    matches the order in the .c file.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 27a19de059259ef2944f7bfd61082862e6f277e4
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:04:49 2014 +0200

    lib/igt_kms: Clean up the other _name functions/macros
    
    And remove sprite_name, redundant and won't work due to lack of
    dev_priv.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit dd8fba44cd1759e5cffc84d47f2c9b92c1e2ae8b
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 11:00:37 2014 +0200

    lib/igt_kms: Unify pipe name helpers
    
    And add api doc while at it.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit fb38cf260ba6ed45b514b7a2c21f733c51caeb90
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 12 10:32:41 2014 +0200

    tests/kms_cursor_crc: Align opening {
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 2ce0691cd5237ebf06d617acb2a33d418178f883
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Aug 12 15:29:25 2014 +0100

    igt/gem_cpu_reloc: Update the memory requirements
    
    Use intel_check_memory() for accuracy and beautification
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit eda904c9d787bd085be3803529c7f23f81ec174b
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Aug 5 23:06:04 2014 +0300

    tests: Add kms_flip_event_leak test
    
    kms_flip_event_leak will issue a page flip and close the file
    descriptor before the flip has finished. This may cause the kernel
    to leak the page flip event. The test itself won't actually fail but
    if the kernel notices the leak and WARNs piglit will report a failure.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 5a06d361b5941466ef1941bb6010f179dbb6f66e
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Aug 8 11:24:34 2014 -0300

    tests/pm_rpm: refactor the modesetting code
    
    Refactor the code so the params for the modesets are always stored and
    don't have to be recomputed every time. With this, we can get rid of
    our FB caching structures, and we now also allow the subtests that do
    special modesets to reuse the parameters used on the default modesets,
    just changing whatever they want.
    
    The biggest win here is that the test case subfunctions get smaller
    and simpler to read and write.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 5a978121d36ceb0ac6b372475d03c98a8db72e7e
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Thu Aug 7 16:36:04 2014 -0300

    tests/pm_rpm: add disable_or_dpms_all_screens()
    
    And its and_wait() version. The goal is to extract common code
    patterns into functions/macros, so the code for the test cases gets
    easier to read and write.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 189205984224e5a66d4dcfc85f4072202d91b633
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Aug 8 11:12:42 2014 -0300

    tests/pm_rpm: add macros to disable/enable screens and wait
    
    This should make the test case functions better to read and write.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit f6ffa3ca7f6d845d76cad95e2d5f0f8fdd84932a
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Thu Aug 7 16:03:08 2014 -0300

    tests/pm_rpm: add wait_for_suspended() calls to test_one_plane
    
    Make sure we do all operations while really runtime suspended, so we
    can actually test things.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit a17f0604ef31ed310fbdcbb64324fcb39f08b908
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 18:50:57 2014 -0300

    tests/pm_rpm: add subtests for fences
    
    Daniel thought fences were not surviving runtime PM on DPMS, so we
    wrote this test to check. The good news is that the test passed, so
    there's no need for a Kernel patch, at least on the Kernel I tested.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit d52365677ef808ffa43bf5e9d53ed0814edd3dd5
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 14:31:53 2014 -0300

    igt_kms: add kmstest_unset_all_crtcs()
    
    Both pm_rpm.c and pm_lpsp.c call it "disable_all_screens", but let's
    give it a name that better describes what the implementation does.
    
    v2: Rename to kmstest_unset_all_crtcs (Daniel).
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit da458758e7d8d10b520146591312ae0407a0da6b
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 12:33:48 2014 -0300

    tests/pm_rpm: use kmstest_get_property()
    
    So we can reduce the code size.
    
    v2: Rebase after the rename to kmstest_get_property.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 4924b78368fa44f96fa61f6bcf402d4a55f8d4de
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 12:14:56 2014 -0300

    igt_kms: document and export kmstest_get_property()
    
    So we can use it on pm_rpm.c.
    
    v2: Rename to kmstest_get_property (Daniel)
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 053c10432254d2d58c33346f0ef08f024c3781ce
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 12:03:57 2014 -0300

    igt_kms: optionally return the property from get_property
    
    So we can use this function on places that also need the property
    pointer, without having to call drmModeGetProperty() again with the
    returned id.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 18d8ea7fe451ee73606d82b060f02e06fae16fc2
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 11:48:56 2014 -0300

    igt_kms: pass drm_fd instead of igt_display_t on some functions
    
    Since these functions only really use the drm_fd. The goal is to be
    able to reuse these functions on programs that don't use the
    igt_display_t structure.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 61920c68d847dcc920fff27f857e03debc76a9a4
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Aug 5 18:44:47 2014 -0300

    igt_kms: don't get drmModeRes just to free it later
    
    Stress testing malloc is not our goal :)
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit bfb5a757751d6f8e6f7ed02f6cb76d006cd0e990
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Aug 6 14:55:33 2014 -0300

    tests/pm_rpm: add subtests for planes and cursors
    
    These tests should trigger WARNs on Kernels that don't have the most
    recent fixes.
    
    v2: - Merge both the cursor and planes patches into one so it's easier
          to update them.
        - Extend the tests a little bit to exercise fences.
        - Fix bug found by Matt to enable the test to run on older Kernels
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 17d63e49685ac51d62ba2dba80167de96e1b6c5f
Author: Sean V Kelley <sean.v.kelley@intel.com>
Date:   Tue Aug 5 13:53:49 2014 -0700

    lib/chv: CHV media pipeline command sequence
    
    Enable gem_media_fill test for CHV platform.  In addition to differences in
    media IP blocks from Broadwell, the command sequence also differs for
    programming the media pipeline, e.g., should not send a MEDIA_STATE_FLUSH
    right before the MI_BATCH_BUFFER_END of batch buffers using MEDIA_OBJECT.
    Uses explicit IS_BROADWELL / IS_CHERRYVIEW to distinguish in gen8 media
    fill handling.
    
    Signed-off-by: Sean V Kelley <sean.v.kelley@intel.com>
    Reviewed-by: Xiang, Haihao <haihao.xiang@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit ac31f19264d45df63fdd6591d66ae57060d1ee5e
Author: Gaurav K Singh <gaurav.k.singh@intel.com>
Date:   Wed Jul 16 19:39:33 2014 +0530

    intel_bios_reader: Add support to dump MIPI Sequence block #53
    
    Signed-off-by: Gaurav K Singh <gaurav.k.singh@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 525044ba32a9fa848c9fb36e8bd96211d6b38e12
Author: Gaurav K Singh <gaurav.k.singh@intel.com>
Date:   Wed Jul 16 19:39:32 2014 +0530

    intel_bios_reader: Add support to dump MIPI Configuration Block #52
    
    Signed-off-by: Gaurav K Singh <gaurav.k.singh@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit ff6b068ecd1d231af466d043454279e6cddcb3d1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 31 16:26:55 2014 +0100

    testdisplay: ignore invalid subtest options
    
    testdisplay does not have any subtests and should therefore exit with
    the appropriate exit code if the --list-subtests or --run-subtest
    options are used.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit de1e877be5fe9ac83477a8ca416708f3d078b731
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 28 08:58:32 2014 +0100

    core: Add all kernel log levels
    
    And notice that INFO is 6 not 5. This is because I had intended to use
    KERN_NOTICE anyway...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9b500dbf6b0b3a68b1de90888c11a873202c98cd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jul 28 16:43:19 2014 +0100

    Update .gitignore files
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit bb48429a6c6057b51358ce0d506916431d982897
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jul 28 16:01:27 2014 +0100

    lib: don't abort if forcing the connector state fails
    
    Ensure tests using igt_enable_connectors can still run even if the
    relevant debugfs files are not available.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c3ba7740c113d318d030ac408883c3303ca781bb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jul 28 15:37:16 2014 +0100

    lib: check test options for conflicts
    
    Check any test specific options for conflicts with the standard set of
    options.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit fc5e25750f96b9c05919e757baf2a54996ba4942
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 25 16:54:41 2014 +0100

    lib: avoid getopt value conflicts with tests
    
    Most tests use a printable character as the value for getopt to return,
    so avoid conflicts by using non-printing values for the standard options.
    
    v2: fix "-h" short option
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 8fc4107c911826f7e0900797e36b24010230e30d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 25 15:35:36 2014 +0100

    testdisplay: set a non-zero exit code if getopt detected an error
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 2fae99bf2cc69eed3ef71ba4d71f640463de57c3
Author: Ben Widawsky <benjamin.widawsky@intel.com>
Date:   Tue Jul 29 16:54:48 2014 -0700

    lib: Add ndebug to the headers
    
    If you don't do this, it is excluded from the tarball generated by make
    distcheck.
    
    1.6 and 1.7 both are not buildable as a result.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 21e9422b01a196dbb6f4c079d352978d81d55f32
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jul 29 18:46:09 2014 +0200

    tests/gem_ringfill: add interruptible mode
    
    Should be useful to test intel_ring_begin restart behaviour a bit.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 660a7ffdbade6ea0854df881ce316cfc64500826
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 30 16:19:05 2014 +0100

    testdisplay: Destroy the cairo context once the fb is painted
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 0db75bb3f91fc058c56650100f75cea5204c6af6
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 30 16:34:20 2014 +0100

    lib: Don't take a reference to the surface in get_cairo_surface()
    
    We don't need to keep a reference to the surface, the cairo context will
    keep a reference to it until we destroy it.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 72357f3de04ab9aa57b046b666e02090641f0aa4
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jul 11 14:45:37 2014 +0100

    lib: NULLify ->cairo_surface once unmapped
    
    Just a matter of not leaving dangling pointers around.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 4aadbc817b3ff72cb44fac2aece3affe19c04f18
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 16:41:43 2014 +0100

    lib: Split the GTT mapping out of get_cairo_surface()
    
    This is preparation work for when we need a different way to get a
    linear buffer we can use with cairo.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f5959af8a5887fb991c4a24daa8017331614e6b0
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jun 23 19:47:19 2014 +0100

    lib: Remove unused field from struct igt_fb
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e48c495572ae1e07aa3f48e801caec351a370c4b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jul 27 15:39:58 2014 +0100

    igt/pm_rps: Fix assertion in load_helper_stop
    
    The load_helper isn't killed by the signal, but it exits gracefully. So
    update the assertion to check for the successful exit.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a6e6c5bdcf93376a505abff3ae510d8275727028
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 25 17:34:06 2014 +0100

    drmtest: First check that driver is i915
    
    Before issuing any i915 specific ioctls, check the driver is i915
    otherwise we make other drivers emit nasty errors at the start of every
    test.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit fcbc5028aef6a8691c87d9153c93246f7904e307
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 25 13:53:12 2014 +0100

    quick_dump: fix distcheck
    
    version.h is now generated in the libs directory, so make sure it is
    correctly included in the compiler flags.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 57bd86068a319b218796d0bea92258b44ee143a0
Author: Tim Gore <tim.gore@intel.com>
Date:   Thu Jul 24 17:38:22 2014 +0100

    intel-gpu-tools: fix version.h creation in android
    
    commit 743dc7997aa9f5210055896940d87c88983dcda6
    breaks the build under Android because version.h
    is not created. This happens because the android
    make executes from the ANDROID_BUILD_TOP directory
    rather than from the directory containing the source
    files, so we need to differentiate between Android
    and linux builds. This is V2 of this patch based on
    Thomas Wood's suggestion.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    [Thomas: Fix distcheck issues]
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 8408e00e623b52f18ad0795122593741197fa2f4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 24 17:45:48 2014 +0100

    testdisplay: only set terminal attributes when in foreground process group
    
    The Piglit test runner for intel-gpu-tools creates a new process group
    for the test processes, so attempting to set terminal attributes causes
    the process to receive SIGTTOU and be stopped. Since the test is not run
    interactively in this case, the issue can be avoided by not setting
    terminal attributes if the process is not in the foreground process
    group.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b9e7637542364f9834c620ce2ee3b4ca11ba6f27
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 25 14:29:47 2014 +0100

    core: Inject program name into dmesg
    
    Write the program name if !list_only so that we associate oops with
    simple tests.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit e0dffbdeda010a0114e16fb7b2e3adb7336acff4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 25 14:28:51 2014 +0100

    core: Improve phrasing for test requirements
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 72b12636492cdf1c97eb1fec313165720f741cca
Author: Tim Gore <tim.gore@intel.com>
Date:   Thu Jul 24 14:54:27 2014 +0100

    intel-gpu-tools: add sys/wait.h to pm_rps.c
    
    commit 745945546f7366a413a3a51a37f90caa3a227b1d
    breaks the build under Android because some of the
    macros used in pm_rps.c are defined in sys/wait.h
    which is not included.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 93d07ab8986f383a679faffc795c71a955f67945
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jul 25 09:28:56 2014 +0200

    NEWS: Don't forget new universal plane commit for igt_kms
    
    Suggest by Matt Roper.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 52915fc88a3948eab9e6f243b81285420897ab95
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 24 12:46:00 2014 +0100

    core: Inject subtest message into dmesg
    
    One of the side-effects we test for are kernel oops and knowing the
    guilty subtest can help speed up debugging. We can write to /dev/kmsg to
    inject messages into dmesg, so let's do so before the start of every
    test.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 66e46630f8ba04060d73e18e46a956bf25201fc4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 24 12:00:57 2014 +0100

    igt_core: Read manpages more carefully  for WNOHANG
    
    /me hides
    
    I thought it said it would not return for a signal and stopped thinking.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 745945546f7366a413a3a51a37f90caa3a227b1d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 24 11:44:45 2014 +0100

    igt_core: Refactor igt_stop_helper() to use igt_wait_helper()
    
    Reduce code duplication as the igt_stop_helper can reuse
    igt_wait_helper() to replace its own waiting routine.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit bd3cf81e982d191715a68b6432c3820e9ba733ff
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 24 11:41:59 2014 +0100

    core: Only use signalsafe functions inside signal handlers
    
    The atexit() and signal() callbacks both need to only use signalsafe
    functions - that excludes the use of assert. So simplify
    fork_helper_exit_handler() and children_exit_handler().
    
    __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
    0x00007fd630883d2b in _L_lock_13840 () from /lib/x86_64-linux-gnu/libc.so.6
    0x00007fd630881df8 in __GI___libc_realloc (oldmem=0xfcb010, bytes=88) at malloc.c:3025
    0x00007fd63087111b in _IO_vasprintf (result_ptr=0x7fff35dc4780, format=<optimised out>, args=args@entry=0x7fff35dc4658) at vasprintf.c:84
    0x00007fd630852907 in ___asprintf (string_ptr=string_ptr@entry=0x7fff35dc4780, format=format@entry=0x7fd63097f718 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n") at asprintf.c:35
    0x00007fd63082dd92 in __assert_fail_base (fmt=0x7fd63097f718 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x40cff5 "ret == 0", file=file@entry=0x4108d1 "igt_core.c", line=line@entry=872, function=function@entry=0x410ea0 <__PRETTY_FUNCTION__.8052> "children_exit_handler") at assert.c:57
    0x00007fd63082dee2 in __GI___assert_fail (assertion=assertion@entry=0x40cff5 "ret == 0", file=file@entry=0x4108d1 "igt_core.c", line=line@entry=872, function=function@entry=0x410ea0 <__PRETTY_FUNCTION__.8052> "children_exit_handler") at assert.c:101
    0x000000000040b03f in children_exit_handler (sig=<optimised out>) at igt_core.c:872
    0x000000000040b089 in call_exit_handlers (sig=2) at igt_core.c:1029 fatal_sig_handler (sig=2) at igt_core.c:1053 <signal handler called>
    0x00007fd6308bfe63 in __libc_fork () at ../nptl/sysdeps/unix/sysv/linux/x86_64/../fork.c:130
    0x00007fd630bd6045 in __fork () at ../nptl/sysdeps/unix/sysv/linux/pt-fork.c:25
    0x000000000040c51a in __igt_fork () at igt_core.c:900
    0x00000000004036c2 in forking_evictions (ops=0x614360 <fault_ops>, surface_size=1048576, flags=5, trash_surfaces=<optimised out>, working_surfaces=338, fd=4) at eviction_common.c:203
    test_forking_evictions (size=1048576, flags=5, count=338, fd=4) at gem_userptr_blits.c:1086
    main (argc=1, argv=0x7fff35dc5328) at gem_userptr_blits.c:1478
    
    Reported-by: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8b3ded404c25bf23221e3b5ff2cc873107185781
Author: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
Date:   Tue Jul 22 11:14:51 2014 +0100

    igt/gem_userptr_blits: Fix multi-threaded mm stress tester
    
    Two parts to the fix:
      1. Do not use pthread_cancel since not available on Android.
      2. Do not assert in the thread since that does not get propagated
         to the process. Rather pass out any failures so we know test
         did not work as expected.
    
    Signed-off-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Cc: Tim Gore <tim.gore@intel.com>
    Reviewed-by: Tim Gore <tim.gore@intel.com>

commit 700bdf1401f1596d25024fd1038e782708bf39e5
Author: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
Date:   Tue Jul 22 12:33:49 2014 +0100

    igt/gem_userptr_blits: Fix forked access test
    
    copy() blit helper assumes a certain object size much larger than a page size.
    
    Signed-off-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

commit bffef22bfd0fc80e8196df8bf33970aee9683e5d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jul 23 22:32:09 2014 +0200

    NEWS: Updates

commit 3efcb8c8ee3bade05cd01edf809f803a376f24a5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jul 23 21:14:24 2014 +0200

    tests/pm_rpm: Convert to new optparsing
    
    Thomas missed the add-hoc parameter parsing in here, which did break
    things for Paulo since the core now fails for unknown options.
    
    Convert them over to the new infrastructure, which has the nice upside
    that we can remove the comments and put them into the usage available
    with --help.
    
    Cc: Thomas Wood <thomas.wood@intel.com>
    Cc: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Tested-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 556ebc7a7cdec2f5cfa90c8503e0a7e9493154c5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jul 23 14:35:22 2014 +0200

    lib/drm_lib.sh: Bare-bones long option parsing
    
    Just enough to stay compatible with simple subtests.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 91f536dc42c667b908072ee064fd150826349ec6
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jul 23 14:21:27 2014 +0200

    tests: Move root check to lib/drm_lib.sh
    
    All tests want that anyway.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 8cb89f7c4cb764a819410e05440cc9dcb9f8df1f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 23 18:35:02 2014 +0100

    linux: placate drop_caches and pass it a '\n'
    
    Apparently it doesn't have much effect without the newline.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 743dc7997aa9f5210055896940d87c88983dcda6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jul 22 14:53:18 2014 +0100

    build: improve version.h generation
    
    Move version.h generation into lib/Makefile.sources so that it can be
    shared between the Autotools and Android build systems. Also make sure the
    "updating version.h" message is only displayed when version.h actually
    changes and remove unnecessary includes of version.h.
    
    This also includes changes from Tvrtko Ursulin to prevent a build from
    within the git repository failing when git is not available.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>

commit 784344ef8896e47af13fbb4377b020f33ce4c93c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jul 23 16:29:39 2014 +0100

    lib: add an exit code to use when invalid options are specified
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 561d519e67f31c81d338601ce859d32188c4bd7b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jul 23 10:38:24 2014 +0100

    lib: add a command line option to enable debug output in tests
    
    Add --debug as a common command line option for all tests to enable
    debug output.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c584d5c671fd81881e39b032771398cf705b4bf4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jul 21 16:17:06 2014 +0100

    lib: always warn about unknown options
    
    All tests can now register extra options, so there should not be any
    unknown options.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 80d2c9bf82800b3cfc988879067c0e38947e5879
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jul 21 15:57:16 2014 +0100

    tests: convert simple tests to use igt_simple_init_parse_opts
    
    Convert simple tests to use igt_simple_init_parse_opts if they require
    extra options.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 82b424a419e48e08ae112345ba517a81609ce7eb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 18 17:17:34 2014 +0100

    lib: don't ignore unknown options in multi-tests
    
    None of the current tests have additional options that might make use of
    any unknown options and igt_subtest_init_parse_opts is available that
    integrates additional option parsing.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e2cef00896a3b68c4f91c94254c0d44fa36f3ad0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 18 16:49:07 2014 +0100

    lib: add igt_simple_init_parse_opts
    
    This function allows simple tests to register additional command line
    options.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 94ac74ebb889909579e3b872fd29514280c99300
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 18 16:24:34 2014 +0100

    lib: move option parsing into common_init
    
    Move option parsing into common_init so it can be shared between simple
    tests and tests with subtests. This allows for more common command line
    behaviour across all tests.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e73008bae32de18c86808da0f3393683af92c697
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 18 14:17:35 2014 +0100

    tests: remove unused getopt header includes
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e057b86109e67191448d6610e441cbca81513d68
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 18 14:10:27 2014 +0100

    lib: warn when attempting to run an unknown subtest
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit bf57e93f508244b13bf9848e37f03c7cd8f9ac94
Author: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
Date:   Wed Jul 23 13:33:18 2014 +0100

    igt/gem_userptr_benchmark: Fix for upstream ioctl number
    
    Hardcoding has upsides and downsides.
    
    Signed-off-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 70e6ed92abbca575f03f5a28402ef1eb9a6b97b8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 21 16:15:24 2014 +0100

    linux: Flush page/buffer cache before querying available memory
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 784b77257b023b5debb05dceb397b4ba6092ae21
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 21 09:12:43 2014 +0100

    igt/gem_userptr_blits: New tests, old issues
    
    Introduce a new test to keep that we clean up on process exit (if the
    userptr is busy or it has been gtt mmapped). This revealed a few bugs in
    the existing tests so clean those up.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit acca724b42252d608b18373be82a2dfa817d4225
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 21 07:57:25 2014 +0100

    Quieten valgrind
    
    Clear all the ioctl structs to zero before use as valgrind does not our
    ioctls and so complains about undefined bytes being passed to syscalls.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 4f7d4dcae56e5f993f3f0b331556d4df3b0b33ab
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 21 07:54:29 2014 +0100

    Use SIGTERM in replace of SIGQUIT
    
    SIGTERM is the normal signal to use when instructing a process to exit.
    The only difference is that an unhandled SIGQUIT is meant to generate a
    coredump, which is not what we want, but in practice I encountered an
    issue where SIGTERM seemed to be deliverable more reliably than SIGQUIT
    (in tests using multiple signal helpers).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 4d4f4b213ca95dad59bdf8080d7bb034aa2d307a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jul 19 11:59:42 2014 +0100

    igt/kms_flip: Skip if headless
    
    If there are no connectors, we cannot perform any pageflips and so we
    have nothing to test.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=73640&list_id=446828
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d0dc2c5b6a22f88d0c7288d134173320c58c8d50
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Wed Jul 16 16:10:30 2014 -0300

    tests/pm_rpm: add dpms-mode-unset{,-non}-lpsp subtests
    
    These tests currently trigger WARNs on our Kernel. Let's make sure we
    fix the bug and it never comes back.
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit 8a3853c8121367d055acea2f7fb483095b971bf9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 17 11:19:04 2014 +0100

    core: increase the exit handler limit
    
    Increase the maximum number of exit handlers since some tests now
    require more that the previous limit.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81320
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 428060c555526c988f4120718f8a000e59ac8c7b
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jul 15 10:21:37 2014 +0200

    lib/igt.cocci: Add s/assert/igt_assert/
    
    People use it way too often, and it upsets the test library. The only
    valid places to use this is of igt infrastructure self-tests where you
    need to check something _without_ all the other abi use checks
    igt_fail and friends do. For those tests just #define an internal
    assert to hide it.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 43784baa1346a36f99a84a06cfc83c11b507c03e
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jul 15 10:12:55 2014 +0200

    tests/gem_userptr_blits: Polish
    
    - Drop return values for test functions - we rely on the implicit
      control flow from igt_ checks.
    - Don't use assert directly, this upsets the test flow logic (and
      results in a CRASH result instead of FAIL).
    
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit abbfecb01511d4f542302148b6240561c0269007
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Mon Jul 14 14:19:17 2014 +0100

    tests/gem_userptr_blits: Race between object creation and multi-threaded mm ops
    
    Userptr v23 was not thread safe against memory map operations and object
    creation from separate threads. MMU notifier callback would get triggered
    on a partially constructed object causing a NULL pointer dereference.
    
    This test excercises that path a bit. In my testing it would trigger it
    every time and easily, but unfortunately a test pass here does not guarantee
    the absence of the race.
    
    v2: Added explicit cancellation point and removed the stop flag.
        Use only igt_assert().
    
    Signed-off-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 3f50598fb7399bafed01f7b44f4a4f5a85a9f13c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 14 23:02:18 2014 +0200

    lib/igt_core: Fixup gtkdoc for logging functions
    
    Without the () gtkdoc won't recognize them as function references.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit bcb2c65a14c37433598404bf4d8c3a8dfc7a842a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 14 18:01:05 2014 +0100

    tests: Move gem_render_copy_redux to the list of multi-subtests tests
    
    Can we find a way to fix those for good? My preference goes to not
    having that single/multi split but always have a test being a list of
    one or more subtests.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 5a98fe9d4ae7431a9c65579dcc0ac32ff3e83adf
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 14 14:42:23 2014 +0200

    lib: Add argc/argv to igt_simple_init
    
    There's a pile of ideas around to add generally useful options like
    --debug to all igt tests. Or unify the runtime behaviour between
    simple and subtest tests a bit more.
    
    The first step to get there is to add argc/argv to igt_simple_init so
    that we can get at the argument list.
    
    Cc: Tim Gore <tim.gore@intel.com>
    Cc: Thomas Wood <thomas.wood@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c7be53c7cb9aa7159ea316b56be119efd436ec17
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Jul 11 15:31:39 2014 +0100

    intel-gpu-tools: Dont build kms_force_connector if no cairo
    
    kms_force_connector is a new test that requires cairo.
    I have added it to the list of tests not to build on
    Android unless ANDROID_HAS_CAIRO is set.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit b3d038a2b930724f1e1b45d1b149efa72ab2cbf0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 14 10:30:36 2014 +0100

    igt/gem_userptr_blits: Add missing RAM check before coherency tests
    
    -ENOCOFFE.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=79237
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 52ac9a4b57f20f2dc019a973237f2f97ddb0ebf3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 14 10:30:36 2014 +0100

    igt/gem_userptr_blits: Add missing RAM check before coherency tests
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=79237
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit e74dd22ff89e007e637f16f661f06d4857a54224
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jul 12 09:06:39 2014 +0100

    igt/gem_close_race: Increase GPU load
    
    Increate the GPU load slightly, but mitigate the CPU overhead from
    clflushing by keeping the object alive using flink. This has also the
    side-effect of magnifying the desired busy-close race.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=71029
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b9c705f4da0b3817462c544e04bead926bfaf75d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 3 11:18:02 2014 +0100

    overlay: Baytrail needs a custom GPU frequency parser
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 98165d60bec04d258eeb9623550e58a8bc2f3906
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 23:36:15 2014 +0100

    igt/gem_close_race: Trim object size
    
    The challenge here is to race GPU activity versus the gem_close. Using a
    large objects makes the window of GPU activity larger - except on !llc
    systems we then incur massive overhead from clflush, likely destroying
    any race (due to mutex contention). And that mutex contention is
    amplified by the number of cores - bad news for Baytrail.
    
    Give up and make the objects smaller and hope that the test is run
    frequently enough to catch the race.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=71029
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f796d9958b2b85696b572a4c686c758eb0323c2b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 20:38:38 2014 +0100

    igt/gem_tiled_swapping: Speed up slightly
    
    The exercise is moving tiled objects in and out of swap. They are moved
    en-block and we test them all, therefore we can randomly test different
    bytes from each buffer to have reasonable coverage of all tiles. This
    shifts the bulk of the work from checking the tiled bo to kswapd.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit cfc692232898d435b8fbfc7a69fda382ffc83315
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 20:38:30 2014 +0100

    configure: Only build overlay if dri2proto is present
    
    Instead of making dri2proto mandatory, disable intel-gpu-overlay if it
    is not installed.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8bf115ed9922e435cd26abd55639b089b285c8e0
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jul 11 17:41:27 2014 +0200

    lib/igt.cocci: Add stanza for for_each_pipe
    
    Damien dodged this ...
    
    Also run the script while at it.
    
    v2: Don't just capture identifiers for pipe, but also expressions.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 7bf0f7fc58b524f269981c873ca120dbe1c0ae67
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jun 20 00:14:52 2014 +0100

    lib: Extract gem_get_tiling() from a couple of tests.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 92a2b292df74408c42a3668c9f4d1a3aed194bfc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jul 10 18:39:17 2014 +0100

    kms_rotation_crc: Use the igt_kms enum to encode the plane rotation
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit a58f8b93b41db4061b3a931feaae2f2c57fb8616
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jul 10 18:37:36 2014 +0100

    kms_rotation_crc: Remove unnecessary includes
    
    Turns out we didn't need most of them.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 1a754396673d99d51cd4d5821bee32d5f6425f4c
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 14:00:59 2014 +0100

    kms_rotation_crc: Always use the primary plane to compute the reference CRC
    
    Trying to disable the primary planes isn't exactly working at the
    moment. W/A it until it works.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 282f5605b02a2fc0f1c1547d59e39810962112dd
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jul 10 17:44:28 2014 +0100

    kms_rotation_crc: Document the two steps in prepare_crtc()
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 05f3897dc183a6ff409e146247e3f681610295cb
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 21:24:26 2014 +0100

    kms_rotation_crc: Don't compile the test on Android with no cairo support
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f7a37f02f76521485fc7195b0d46e70fe7b2105e
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 21:23:27 2014 +0100

    kms_rotation_crc: Add the test to .gitignore
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8767a794bb7a1584f02da49b85ecf849d64ff36b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 12:03:50 2014 +0100

    kms_rotation_crc: Properly paint the whole frame buffer
    
    The -1 meant we weren't properly filling the whole fb.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 1bcac4dcb35c7035ecc11ed0ce8d195f4d977dfc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 19:27:39 2014 +0100

    kms_rotation_crc: Don't commit with no fb set up
    
    prepare_crtc() was trying to commit a display state without any fb to
    scan out...
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit c4564e0a51dcbe6489dd02853908a8f4cdb6055a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 19:24:24 2014 +0100

    kms_rotation_crc: Allow the sprite test to run even without universal planes
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 2eaa50f02e2cf9b8ed545eee333110cae2c552db
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:56:15 2014 +0100

    kms_rotation_crc: No need to test for NULL before freeing the pipe CRC object
    
    igt_pipe_crc_free() does that check already.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 05f90b03088f1b66dbfbb29b64aafe6b1ca164ae
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:51:25 2014 +0100

    kms_rotation_crc: Remove plane from the state
    
    having everythin in the data_t structure makes it hard to understand
    what should be set when. Replace that by explicit function parameters.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit fe8373d4376817de93d9bfc278005f2c67dcba50
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:48:35 2014 +0100

    kms_rotation_crc: Remove the sleep(2)
    
    One can inspect the output of the igt_kms API by setting
    IGT_DISPLAY_WAIT_AT_COMMIT=1.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit ffc954e739fb58b3ad4336a42a35c417df875253
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:46:57 2014 +0100

    kms_rotation_crc: Remove 'output' from the state
    
    This restore the balance between prepare_crtc() and cleanup_crtc(), both
    now taking the output as a parameter.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b146e8128d8ca5327f2a8d306e9cdeab855d9639
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:45:16 2014 +0100

    kms_rotation_crc: Remove the test on output->valid
    
    This test is already done by the for_each_connected_output() macro.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit aef475b6f92522a0ca4bb58047f8015c5fd3f32e
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:43:44 2014 +0100

    kms_rotation_crc: Use for_each_pipe()
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8843bef2808acca89222b12c16aa3f09b777c848
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:38:05 2014 +0100

    kms_rotation_crc: Remove now unnecessary defines
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 39abe7790f675a7d46cab2e04043b278615c0b0a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:36:32 2014 +0100

    kms_rotation_crc: Use igt_plane_set_rotation()
    
    More code we can remove from the test.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8facccfae4c05275ae2fb31bb1948b1fea9a7687
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:28:53 2014 +0100

    kms_rotation_crc: Don't store 'pipe' in the state
    
    This variable is only needed for prepare_crtc(), need need to put it in
    the test state.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f7250d041d09b5fc83d8c98c3230696317c97cc7
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:27:10 2014 +0100

    kms_rotation_crc: Don't store rotate in the test state
    
    We don't use it anywhere else than the test function.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit eb81a922c7958e8680c95febca588314129ff790
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:20:51 2014 +0100

    kms_rotation_crc: Always disable the plane in cleanup
    
    There's no need for this check, always use set_fb(NULL) on the plane.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 13e979c7649eeb90fbd1abaaec61bcb3028acfc9
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:13:47 2014 +0100

    kms_rotation_crc: Unify the two tests
    
    The only difference is which plane we are talking about. So we really
    need one function here with a paramater.
    
    Well, almost. For the primary plane we need to ensure we support
    unviversal planes.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 063d22ecea7f3ffedb29a037f7b29694f22012ce
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:06:44 2014 +0100

    kms_rotation_crc: Just store the igt_plane_t in data
    
    Now that we're always using an igt_plane_t, we can get rid of ->type to
    use ->directly without those switch() or if()/else
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 0b3a30ee5a2668897e14c99dac8ba0b2ed7bb94d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:01:59 2014 +0100

    kms_rotation_crc: Skip the tests if rotation is not supported
    
    This happens when the kernel lacks the rotation patches.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 5edab97f7fa646639335166912ec443d27735fad
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 17:51:07 2014 +0100

    kms_rotation_crc: Style issue: binary operators need spaces before and after
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 7ae5d9b34769581bea037fd35e5110e449cd58de
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 17:49:03 2014 +0100

    kms_rotation_crc: Use drm_plane from igt_plane_t
    
    So we don't need all that extra code to grab the drm_plane structure for
    the primary_plane.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 7e7c6254410c08a2d0785edefac65d158b2c3b6d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 13:59:42 2014 +0100

    kms_rotation_crc: Remove useless comments
    
    A typical example of what comments shouldn't be:
    
     case DRM_PLANE_TYPE_PRIMARY: /* primary */
    
    Well, yes!, it's written just there, PRIMARY!
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 19743a14357fbc23a0e91d8302ed60a5690530df
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:59:03 2014 +0100

    kms_rotation_crc: Factor out common primary/sprite code in prepare_crtc()
    
    This results in less code, always a good thing. Also, we only really
    need one reference CRC.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 92b29b18ca62d1e1cadf338f1b883a49d3e63a01
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:49:03 2014 +0100

    kms_rotation_crc: Factor out the square drawing function
    
    Making function to the similar things is very common in programming.
    Let's do it once again.
    
    Cairo being a drawing library, it can be used to do the rotation!
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 78fac765238e4b21dd21cf2d105f26955a2f41d8
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:28:41 2014 +0100

    kms_rotation_crc: Fix style issue: single statement conditionals
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit de9c1687f91b8c24b78ca10edc7166743dca5024
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:26:38 2014 +0100

    kms_rotation_crc: Fix style issue: '{' at the end of lines
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 1025a114c6b188dab2680c577288372f5986e0e0
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:18:47 2014 +0100

    kms_rotation_crc: Require universal planes for the testing primary rotation
    
    Otherwise the test will fail instead of just skipping.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 143984a4f14ab22b5495411e006644caa7d6cb7a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:10:44 2014 +0100

    kms_rotation_crc: Test the validity of the output first
    
    So we don't need code to unwind what we just did.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 9cf7e8d35fb331626a03992f68e9856eafe3997d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:08:20 2014 +0100

    kms_rotation_crc: Update the copyright to have this year as well
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit bbd5e2ec6c7e9ae7f8eed94305e6640b4c3adc7f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 12:02:42 2014 +0100

    kms_rotation_crc: Align a few wrapped lines to the opening brace
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f00f767ceaa0ee790bbe7dd71d8210fa417483c1
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 11:58:43 2014 +0100

    kms_rotation_crc: Make more functions static
    
    More of the same. This time no need to move code around, just adding
    static.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 0506f106233552b7b19c89d851f004a5bf236828
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 11:55:20 2014 +0100

    kms_rotation_crc: Make check_plane_type() static
    
    Clearly, someone tried to solve the following warning:
      kms_rotation_crc.c:189:6: warning: no previous prototype for ‘check_plane_type’ [-Wmissing-prototypes]
    
    Without really understanding what was the warning about. Make
    check_plane_type() static and move it before its user to get rid of the forward
    declaration.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e3611394cc72540cfa7c8cd39339bd405336ba1f
Author: Sonika Jindal <sonika.jindal@intel.com>
Date:   Wed Jun 18 14:27:27 2014 +0530

    tests/kms_rotation_crc: IGT for 180 degree HW rotation
    
    Testcase for 180 degree HW rotation
    
    Cc: sagar.a.kamble@intel.com
    
    Signed-off-by: Sonika Jindal <sonika.jindal@intel.com>

commit 753352cb3cdd3a2c71c4279913109b2e3e6e9b90
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 18:43:22 2014 +0100

    igt_kms: Introduce a for_each_pipe() macro
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 068efd8d9fc5ae02e928622a989d91b3e9c851d0
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 16:02:05 2014 +0100

    igt_kms: Add support for setting plane rotation
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b2eb48576f2422591fe338e21a46757b2e331985
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 15:23:05 2014 +0100

    igt_kms: Add a way to query of the plane supports rotation
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 143c3a757521de907889803b011ac2bb308b4e1a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 14:56:54 2014 +0100

    igt_kms: Provide a get_plane_property() shorthand
    
    So one doesn't have to write the plane type all the time.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 33842d594044f13d3079d961df2894921be10cc5
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 8 14:34:16 2014 +0100

    igt_kms: Factor out a generic get_property() out of get_drm_plane_type()
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit bebcb582fc40901a2aea4ab43fef3e273ad3b074
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jul 11 10:24:30 2014 +0200

    lib/igt_core: Don't log when listing subtests
    
    I've noticed some spam in the userptr list ...
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit d3cfe28a1a4cc39044dbfd494370a903c39f2649
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 11 10:47:43 2014 +0100

    README: update the test run instructions
    
    Describe using the new run-tests.sh script and also update the Piglit
    instructions now that using a symlink is no longer supported.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit ee62ca48e7cf0e2088e40227940677c9d4e675e0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jul 1 11:35:16 2014 +0100

    scripts: add a script to help run tests with Piglit
    
    Add a script to facilitate running the tests with Piglit by providing
    simplified options for listing, filtering and creating summaries of test
    runs.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b81020526f1d08840f9ee87d31e958ddca4cce8a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jul 9 10:38:05 2014 +0100

    lib: allow the edid to be reset
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit eef768f283466b6d7cb3f08381f72ccf3951dc99
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jun 18 14:28:43 2014 +0100

    tests: enable extra connectors in kms_flip and kms_pipe_crc_basic
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit b6ed9fb0d9a68cd3e07154b80e78e60778a4887b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 28 14:06:01 2014 +0100

    lib: add igt_enable_connectors and igt_reset_connectors
    
    igt_enable_connectors forces connectors to be enabled where doing so is
    known to work well. igt_reset_connectors resets the force state on all
    connectors.

commit 13cd79c128b21d0de7d419d2ebfa8219d6190035
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 27 14:47:25 2014 +0100

    lib: add the ability to set an EDID data block on a connector
    
    Add a function to set an EDID data block on a connector and include a
    set of generic EDID blocks for testing.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 37ffb22d3cf684a6443d68698716dbd8428f495a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 16 17:22:46 2014 +0100

    lib: add function to change connector states
    
    Add an API function and a test program to force a particular state on a
    connector.
    
    v2: mask the correct part of the minor number to get the card number (Chris
        Wilson)
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 9b6ae3cb6f7894b7c3e9eb89da5d89fef7f9ba91
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 10:38:32 2014 +0100

    igt/gem_userptr_blits: Verify that userptr bo work on unshared memory
    
    If the parent passes a userptr to some private memory, we expect to
    still be able to use the userptr in the child.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9344aa78e8ad1eb36e7cf17686907d4259d34235
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 10:16:54 2014 +0100

    igt/gem_userptr_blits: Shared memory allocations
    
    The forked tests allocate the bo (and thus for userptr, the memory) in
    the parent and pass them to all children. The difference for userptr is
    that we allocate system memory which the kernel then copies into each
    child. As the children need to access the memory for their checks, it
    does need to be shared - so allocate the userptr from shared memory!
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=80208
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f47ee31dd5d5a5099ed6f5d4a59a12a2f83c8cae
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 11 10:15:19 2014 +0100

    Wait for any pid in order to reap failure quicker
    
    When waiting for the forked tests, we can respond quicker to a failure
    (such as oom) by waiting for any child to exit rather than waiting for
    each child in order. Then when we see that a test failed, we can kill
    all other children before aborting.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3777d42303cf9d285a5337d71623d52402cb3021
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jul 10 20:19:18 2014 +0200

    NEWS: Updates
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 282482db70188a3cbc653cebbf407715373255d1
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jul 10 20:04:19 2014 +0200

    tests: Run igt.cocci
    
    New stuff caught.
    
    Plus manually simplify the massive igt_fail_on_f(file == NULL, ...) to
    a simple igt_assert(file). We already print the errno (if
    applicapable) and the condition, which is equally informative.
    
    Cc: Yi Sun <yi.sun@intel.com>
    Cc: Matt Roper <matthew.d.roper@intel.com>
    Cc: Wendy Wang <wendy.wang@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 329f7a3734331cb57895a675d4fc87c261f338bd
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jul 10 19:46:46 2014 +0200

    drv_module_reload: Unbind the right console driver
    
    We want to unbind fbcon, but only fbcon and only if it's there.
    
    This was broken by the recent patch in 3.16-rc to kick out the vgacon
    driver. I've forgotten to push out the relevant fix from the machine
    used to create the kick vgacon patches.
    
    v2: Dropped duplicated /, spotted by Damien.
    
    Reported-by: Damien Lespiau <damien.lespiau@intel.com>
    Cc: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 82e3d3379b7204bd81033c96b6279b537186ed85
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jul 10 14:03:37 2014 +0100

    drv_module_reload: Don't declare success when failing
    
    We weren't returning straight away when failing to unload the driver, so
    the test happilly executed gem_suspend and printed ""module successfully
    loaded again".
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit e16d4a2d68d163da81397ff7f1e00d063f0d700c
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 11:40:16 2014 +0100

    core: Apply the same treatment to the in errno message in __igt_fail_assert()
    
    Just like the it was done for the requirement message, display the errno
    message only if errno is set, and display it at the end of the assert
    message.
    
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 41454622506d2d060cba8c6f1cbe98a359936a2b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 11:36:27 2014 +0100

    core: Only display the errno message if errno is set
    
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b2d1a598aba4fe6b4128a0eb99f6da95a9fc70fc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 11:32:22 2014 +0100

    core: Put the requirement failure messages together
    
    The errno message was a bit in the middle here, it makes more sense to
    group the messages about why the test requirement wasn't met together.
    
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 1e5570e28a399f57d025c36f9d3547683ba0c3d4
Author: Mika Kuoppala <mika.kuoppala@intel.com>
Date:   Wed Jun 18 14:34:04 2014 +0300

    lib/gen6_render: removed duplicate defines
    
    Textually the same so no harm was done and no warnings
    from compiler either.
    
    Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>

commit 6b986a2044a2708f900454d7e23fcd0bbf68879d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jul 9 20:45:54 2014 +0200

    tests/gem_render_copy_redux needs legacy drm nodes
    
    ... since it uses flink. Fixes a regression due to:
    
    commit 6d6dfcfb883818b40b58bac61cc72cab428a7a03
    Author:     David Herrmann <dh.herrmann@gmail.com>
    AuthorDate: Sun Mar 16 14:38:40 2014 +0100
    
        drm: enable render-nodes by default
    
    Cc: David Herrmann <dh.herrmann@gmail.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit f705ef158ac7448d1f3c48f853da884ac548b603
Author: Tim Gore <tim.gore@intel.com>
Date:   Tue Jul 8 10:04:28 2014 +0100

    intel-gpu-tools: Dont build kms_univeral_plane if no cairo
    
    kms_univeral_plane is a new test that requires cairo.
    I have added it to the list of tests not to build on
    Android unless ANDROID_HAS_CAIRO is set.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c5b9615b83910f5a5c19fc84d938ea643f4e3009
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 9 11:05:06 2014 +0100

    kms_plane: Specify the pipe when grabbing reference CRCs
    
    When changing the pipe we were using, test_grab_crc() wasn't correctly
    setting the pipe constraint before waiting for the CRC on the pipe, and
    so we ended up waiting for a CRC on a pipe that wasn't lit up.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 8d60b8267e97f9b04e42912262c170c473d4f061
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 7 14:41:15 2014 +0100

    kms_plane: Add a debug message when grabbing the CRC of a colored fb
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit b5333b416f6a206a583684b0fba9265c0badbd6c
Author: Yi Sun <yi.sun@intel.com>
Date:   Fri May 23 08:28:47 2014 +0800

    kms_plane: Add panning test for primary plane
    
    Get CRCs of a full red and a full blue surface as reference.
    
    Create a big framebuffer that is twice width and twice height as the
    current display mode.
    
    Fill the top left quarter with red, bottom right quarter with blue
    Check the scanned out image with the CRTC at position (0, 0) of the
    framebuffer and it should be the same CRC as the full red fb
    Check the scanned out image with the CRTC at position (hdisplay,
    vdisplay) and it should be the same CRC as the full blue fb
    
    v2: Fix a few things here and there (Damien)
    
    Cc: Lei Liu <lei.a.liu@intel.com>
    Cc: Yi Sun <yi.sun@intel.com>
    Signed-off-by: Lei Liu <lei.a.liu@intel.com>
    Signed-off-by: Yi Sun <yi.sun@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit de538cfc7cd649216801829daffe602f4efee08a
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 7 13:30:41 2014 +0100

    kms_plane: Make the gathering of reference CRCs test agnostic
    
    We're going to add tests for panning. Both position and panning tests
    share the need to grab reference CRCs of single coloured fb, so let's
    separate this function from the position test.
    
    Cc: Lei Liu <lei.a.liu@intel.com>
    Cc: Yi Sun <yi.sun@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 202b2b9567606a016edf8293048ca4d67d9eba4f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 7 15:17:56 2014 +0100

    pipe_crc: Make collect_crc() ensure the CRC looks somewhat valid
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 09196af60d0e7dc8b06ac78e5998d29bde66b065
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 7 15:16:51 2014 +0100

    pipe_crc: Warn if the CRC values is 0xffffffff
    
    This is what we read when the CRC logic in in a powered down well. We
    really don't want that to happen.
    
    In theory, it's possible 0xffffffff to be a valid CRC value, so I don't
    assert here.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 4f83c4efa85bdb1cfadf0e4b44588ec581f2682b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 7 15:08:33 2014 +0100

    lib: Reset 'position_changed' after a drmModeSetCrtc()
    
    So the next commit won't trigger a drmModeSetCrtc() if the primary plane
    doesn't have any update needing it.
    
    This shouldn't be a problem at the moment as we don't allow the primary
    plane to be of a different size than the CRTC viewport, but it will most
    likely change in the future and we don't want to have that bug there.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 089e8d0a6b4b702ada745e948ae4303fd9457389
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed May 28 18:59:09 2014 +0100

    kms_pipe_crc_basic: Add a bit a debugging output
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 017f146c57c381a77bf3295f234744fae67e1a5c
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed May 28 17:55:06 2014 +0100

    kms_pipe_crc_basic: Make the number of CRCs a parameter
    
    Let's make the test a bit more generic and have the number of CRCs we're
    collecting a define so it can be changed easily.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit f18700b304cf86c030a2e7721c8f2c189805972f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed May 28 17:40:05 2014 +0100

    kms_pipe_crc_basic: Cycle between 2 differently colored buffer
    
    Instead of just testing if the CRCs are stable, we also test 2 different
    fbs to make sure that the CRC is actually changing.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit dbb80a63b434f544e291a8a3997a511378f3b992
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed May 28 17:33:32 2014 +0100

    kms_pipe_crc_basic: Split the main test function a bit more
    
    Let's put the per-output test in its own function to get rid of 1 level
    of indentation. We'll need it to cycle through 2 different framebuffers
    to make sure we compute different CRCs if the fbs are different.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit c8b8f8abf60de1fdaafc798ebc6f73880a4e4225
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jul 7 09:08:29 2014 -0700

    lib/kms: Provide universal plane #define's
    
    There hasn't been a libdrm release containing the universal plane
    definitions yet, so add them to igt_kms to allow compilation to succeed
    in the meantime.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 80a4a4fd43aff81dea8822ab4756ed99b7b13e66
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 7 17:54:30 2014 +0200

    tests/gem_exec_parse: use gem_uses_aliasing_ppgtt
    
    Suggested by Brad Volking.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit d078035ca44dae1ec4e026fc294f4c0213027890
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 17 23:47:49 2014 +0200

    tests/kms_psr_sink_crc: Fix delayed gtt/cpu write tests
    
    - Drop the flip from the name - we don't do that. And the blt is
      really just to have a bit of fun with the domain tracking.
    
    - The real test is 1) dirty with gpu 2) grab 1st crc 3) set_domain for
      cpu access 4) wait a long time 5) dirty more with cpu 6) grab 2nd
      crc.
    
    This fixes failures since with the old tests we wouldn't have noticed
    the cpu rendering really.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 838f321b9ff1ef897ab032ecc3bbb56d8d65f53f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jul 3 15:50:53 2014 +0100

    kms_universal_plane: Don't assert outside of fixtures/subtests
    
    Doing otherwise breaks listing the subtests. The test was throwing an
    error out when universal planes were disabled as well because of that.
    
    Cc: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 3f46e815589ac5c0e9ba2d5ab94e7eff09527a8d
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:30 2014 -0700

    tests/kms_cursor_crc: Call drmModeMoveCursor() directly
    
    We're calling drmModeSetCursor() to change the cursor image and never
    actually doing a display commit (aside from when we display the cursor),
    so call the move ioctl directly rather than igt_plane_set_position() to
    ensure the changes actually take effect.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 07087ada293b18823ca10762bc7e28740bb0e6bf
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:29 2014 -0700

    tests/kms_cursor_crc: Combine data_t and test_data_t
    
    If a subtest fails, cleanup_crtc() never gets called and then the
    test_data_t structure for the test is lost, including the CRC file
    descriptor that we never got a chance to release; this causes all
    subsequent tests to fail with -EBUSY at igt_pipe_crc_new().
    
    The split between permanent data_t and temporary test_data_t doesn't
    seem to serve a purpose, so just combine the fields from both into
    data_t.  This will prevent us from losing the CRC filedescriptor so that
    we can properly close and reopen it after a failed test.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 075d9eafdb4c1c64099d738a012fe3e063f08fee
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:28 2014 -0700

    tests/kms_universal_plane: Universal plane testing (v6)
    
    Add a simple test to exercise universal plane support.
    
    v6:
     - Update to new universal plane interface (commit parameter rather than
       state-changing function).  It should now be a lot more explicit which
       steps are being taken with legacy API's vs universal API's now.
    v5:
     - Check that we don't have more than one primary or cursor.  This will
       catch accidental calls to drm_plane_init() in the kernel where
       drm_universal_plane_init() was intended (these don't cause a compile
       warning due to type compatibility between enum and bool).
    v4:
     - Test disabling the primary plane explicitly when it has previously
       been implicitly disabled due to clipping.
     - Skip test if igt_pipe_crc_new() fails
    v3:
     - For testing while crtc is off, switch between several different
       primary plane fb's before reenabling the crtc.  This will help
       catch pin/unpin mistakes.
    v2:
     - Test that pageflips error out gracefully when the primary plane
       is disabled before the ioctl, or between ioctl and pageflip
       execution.
     - Test that nothing blows up if we try to disable the primary plane
       immediately after a pageflip (presumably before the pageflip actually
       completes).
     - Test that we can setup primary + sprite planes with the CRTC off and
       then have them show up properly when we enable the CRTC
       (drmModeSetCrtc with fb = -1).
     - Test that we can modeset properly after having disabled the primary
       plane
     - Test that proper error codes are returned for invalid plane
       programming attempts.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 04067c3d5029f6ca28e6e14fffa47eecbd0e9c70
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:27 2014 -0700

    lib/kms: Drop primary plane windowing test from igt_plane_set_position()
    
    None of our hardware can support this today, but we'd like to be able to
    write tests that check that the kernel returns the proper error code
    when userspace tries it anyway.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 794a9fd6bc24b0bcc9eb8a9a59c924fd5229f25c
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:26 2014 -0700

    lib/kms: Add universal plane support (v2)
    
    Add support for universal planes.  This involves revamping the existing
    plane handling a bit to allow primary & cursor planes to come from the
    DRM plane list, rather than always being manually added.
    
    v2: Don't drop fixed ordering of internal plane list.  Primary will
        always be index 0, cursor will always be last in internal plane
        list.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 82bc03f392a12e5d48818faa99b02f9b2ab54483
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:25 2014 -0700

    lib/kms: Add igt_display_try_commit2()
    
    Add a new public API that will attempt a display commit, but will return
    an error code upon failure rather than failing the IGT test.  This is
    intended to allow igt tests to verify that the expected error codes are
    returned to userspace when invalid requests are issued.
    
    Note that with non-atomic programming, a single commit operation has
    several potential failure points internally; the first non-zero error
    code encountered will be returned immediately and no further programming
    will be performed by the commit.  It is the caller's responsibility to
    return to a sane state.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 1c25547d48296c3058c9e1cc45b533746144a230
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:24 2014 -0700

    lib/kms: Add igt_display_commit2()
    
    Add a new commit interface, igt_display_commit2(), that allows tests to
    specify which programming API should be used to perform hardware
    updates.  COMMIT_LEGACY is the only option for now, but universal
    and atomic interfaces will be added as additional options in the future.
    
    igt_display_commit() remains unchanged for existing tests that wish to
    place the hardware in a specific state, but that don't care which API is
    used to achieve that state.  The legacy API will be used by default for
    now, but in the future we may decide to make the default API
    configurable via an environment variable.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 2a3e212acc01742ac0a0f8bcf969e8a1ae2343b1
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:23 2014 -0700

    lib/kms: Track need for vblank wait locally
    
    The need to wait for a vblank after programming is due to the way we
    actually program the hardware.  Move need_wait_for_vblank out of the
    pipe and into a local variable in preparation for future programming
    styles (e.g., atomic pageflip) that will need different logic.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 3cc60bab465f6d22b64a7034ce75e47dd2163e6e
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Jun 30 16:44:22 2014 -0700

    lib/kms: Drop igt_pipe->need_set_{crtc, cursor}
    
    The "need" flags on igt_pipe simply mirror the fb_changed field of the
    primary/cursor planes.  Drop them and just use fb_changed instead.
    
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 67e29a30d5da57fb6764a23ba9f6aa31ea2c15a8
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Thu Jun 26 08:47:08 2014 -0700

    gem_exec_parse: require PPGTT as well
    
    The command parser may be present, but not active, so check for PPGTT
    before allowing this test to run.
    
    Signed-off-by: Jesse Barnes <jbarnes@virtuousgeek.org>

commit 7ef537231a7bcc8deb49119034f9f6d403565ecc
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Jun 18 21:14:11 2014 +0300

    tests/gem_ctx_exec: Add reset-pin-leak subtest
    
    Add a subtest to make sure the kernel doesn't leak the vma
    pin_count for the last context on reset.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit fedb9b6342f6fba6f2efa926df1c4af2e8576a2b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jun 21 15:39:09 2014 +0100

    gem_mmap_gtt: Test mmaping less than the full object
    
    A bug was recently introduced into the kernel that happened when the vma
    was smaller than the object. Test that.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9f28ba5ef3fbc094f9da3324b79599bb2fe1993e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jun 21 15:38:31 2014 +0100

    gem_fence_upload: Improve the contended messages
    
    In the contended upload case, we did not distinguish between linear and
    tiled uploads.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8abca6fd14d2b0e3bf25461199dd8519803f9518
Author: Tim Gore <tim.gore@intel.com>
Date:   Fri Jun 20 11:28:12 2014 +0100

    intel-gpu-tools: add igt_core init func calls to some tests
    
    igt-core.h/c provides some macros and initialisation
    functions to support the tests but some of the single
    tests do not use these. Modifying these tests to use
    the igt_simple_main macro and igt_simple_init function
    is the first step towards a consistent command line
    across all tests.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 236d6bd2d36114fe402fe0e85d97b14cdf102963
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 19 10:13:12 2014 +0200

    tests/gem_exec_big: Re-add gem_sync
    
    We need this to avoid hitting the slowpath and ending up with a
    presumed_offset == -1. Regression reported by PRTS, bisected to
    
    commit eb36fc993d7ae1988c80ba5b767989059c91d0ec
    Author:     Chris Wilson <chris@chris-wilson.co.uk>
    AuthorDate: Mon Jun 16 10:49:16 2014 +0100
    Commit:     Chris Wilson <chris@chris-wilson.co.uk>
    CommitDate: Mon Jun 16 10:51:02 2014 +0100
    
        igt/gem_exec_big: Update to new igt_assert_eq
    
        Use igt_assert_eq for better test output on failures.
    
        Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    
    v2: igt_warn_on unexpected reloc offsets.
    
    Cc: shuang.he@intel.com
    Acked-by: Chris Wilson <chris@chris-wilson.co.uk> (on irc)
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 1b1f4b16a25b6415187fd2b0906ae730e9ca8d23
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 17 23:06:59 2014 +0200

    tests/gem_mmap: Add short mmap test
    
    Blows up with the current full-object prefault code.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 13b3e5f3e02a82e5d064e1f4f52eebb91c380819
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 17 21:22:05 2014 +0200

    Paritially revert "lib: add missing includes to headers"
    
    This reinstates the #includes for lib/debug.h since without that the
    shader debugger fails to build. You need to manually enable it with
    ./autogen.sh --enable-shader-debugger and the fail only happens when
    running a clean build with
    
    $ git clean -dfx && ./autogen.sh --enable-shader-debugger && make
    
    I have no idea what breaks, but this restores the build.
    
    Reported by Ben Widawsky.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 15d93d0a91234e33c4e40b72204258ffbcb2fe4c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 17 18:52:08 2014 +0200

    tests: Move gem_userptr_blits to the right Makefile target
    
    We need to be able to check for this somehow ...
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit d123de68587ef1c558bb9be7a1fd980cba58d748
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Apr 30 18:15:36 2014 +0200

    tests/Makefile.sources: Remove empty last line
    
    Actually just whitespace change to make sure the new built rules for
    tests/*.txt pick up the changes properly everywhere.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 748a46dcb994c8c97d32faecc1df7e03c9ec7960
Author: Wendy Wang <wendy.wang@intel.com>
Date:   Mon Jun 9 16:36:47 2014 +0800

    Fixed the review issues for pm_rc6_residency IGT case
    
    Why need add rc6_residency_counter subtest case:
    RC6 feature support residency counter,from power consumption aspect,
    the counter closer to 1,the better.If the counter is < 0.9, the residency
    is not good and will impact power consumption value, if the counter is  > 1,
    sysfs file is inaccurate.
    
    Attach the test result message:
    root@x-bdw05:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./pm_rc6_residency
    IGT-Version: 1.6-g9a70e29 (x86_64) (Linux: 3.15.0-rc7_drm-intel-nightly_0a37b5_20140604+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    This machine doesn't support rc6pp
    This machine doesn't support rc6p
    The residency counter : 0.987000
    This machine entry rc6 state.
    Subtest rc6-residency-counter: SUCCESS
    
    root@x-bdw05:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./pm_rc6_residency --run-subtest rc6-residency-counter
    IGT-Version: 1.6-g9a70e29 (x86_64) (Linux: 3.15.0-rc7_drm-intel-nightly_0a37b5_20140604+ x86_64)
    This machine doesn't support rc6pp
    This machine doesn't support rc6p
    The residency counter : 0.987000
    This machine entry rc6 state.
    Subtest rc6-residency-counter: SUCCESS
    
    root@x-bdw05:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./pm_rc6_residency --run-subtest rc6-residency-check
    IGT-Version: 1.6-g9a70e29 (x86_64) (Linux: 3.15.0-rc7_drm-intel-nightly_0a37b5_20140604+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    
    root@x-bdw05:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./pm_rc6_residency --list
    rc6-residency-check
    rc6-residency-counter
    
    Run as non-root
    [haha@x-pk home]$ ./pm_rc6_residency
    IGT-Version: 1.6-g18d2130 (x86_64) (Linux: 3.13.0-rc3_drm-intel-nightly_639e4d_20131210+ x86_64)
    No intel gpu found
    Subtest rc6-residency-check: SKIP
    Subtest rc6-residency-counter: SKIP
    
    Run on non-intel platform
    [root@x-pk5 home]# ./pm_rc6_residency
    IGT-Version: 1.6-g18d2130 (x86_64) (Linux: 3.13.0-rc3_drm-intel-nightly_639e4d_20131210+ x86_64)
    Test requirement not met in function read_rc6_residency, file pm_rc6_residency.c:77:
    Last errno: 2, No such file or directory
    Test requirement: (!(file))
    Subtest rc6-residency-check: SKIP
    Subtest rc6-residency-counter: SKIP
    
    Signed-off-by: Wendy Wang <wendy.wang@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit f4a7bd3b03418c140b7de76d1f35ea553a735e33
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jun 16 23:54:43 2014 +0200

    Revert "Revert "Add rc6_residency_counter subtest""
    
    This reverts commit 35554a1bcaaea55c1cfa88c0176c58d2fb3b8013.
    
    Apparently people are too unhappy with this.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit d96490af9955875d2ca1a04219d5ef928fb07c94
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 16 16:21:35 2014 +0100

    lib: add missing includes to headers
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 5874daddc4976ba3756b6e37466a0205b2359048
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 16 16:12:21 2014 +0100

    lib: ensure igt_display_init clears the memory for the display struct
    
    Add the call to memset that was accidentally removed in:
    
    commit 1e9e1baba389fe498be12390ceeeacb1d141a5cf
    Author: Daniel Vetter <daniel.vetter@ffwll.ch>
    Date:   Thu Mar 13 17:20:05 2014 +0100
    
        lib/igt_kms: rip out custom verbose loggin support
    
        Instead just piggy-pack on top of igt_log.
    
        Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 5f89d6f41fd5c4f6a1cd3b6da708b99a8efe8e64
Author: Tim Gore <tim.gore@intel.com>
Date:   Mon Jun 16 09:38:09 2014 +0100

    intel-gpu-tools: remove the --cmd option from gem_seqno_wrap
    
    gem_seqno_wrap was not being built on Android because it uses
    wordexp which is not in Bionic.
    After discussion with Mika Kuoppala (the test author) it seems
    that wordexp was used to implement the --cmd option that was
    really only intended for use during development of the test and
    is no longer needed. So I have removed support for this option
    and enabled this test for Android.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@intel.com>
    [danvet: Resolve conflicts with cocci run.]
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit eb36fc993d7ae1988c80ba5b767989059c91d0ec
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 16 10:49:16 2014 +0100

    igt/gem_exec_big: Update to new igt_assert_eq
    
    Use igt_assert_eq for better test output on failures.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 6c4b93fdbc879f95a9843f0ad7a959265b6783f1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 16 09:01:52 2014 +0100

    igt/gem_exec_parse: Convert to igt_assert_eq
    
    For better test output on failure.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=80083
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8c1566e2d9cdcdaa94728516b8e6839545fc396c
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Oct 29 18:17:39 2013 +0200

    tools/intel_display_poller: Add a new tool that will poll various display registers
    
    intel_poller can be used to poll various display registers
    (IIR,scanline/pixel/flip/frame counter, live address, etc.).
    
    It can be used to determine eg. at which scanline or pixel count certain
    events occur.
    
    v2: s/intel_poller/intel_display_poller/
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 71874f4a52878caabe5c2ccd499bab41633fa156
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Jun 10 21:28:10 2014 +0300

    tools: Add intel_iosf_sb_{read,write} tools
    
    Add generic tools to poke at IOSF sideband. The user needs to
    manually specify SB port as well as the register.
    
    TODO: Maybe add symbolic names for the units? Would avoid having
    to trawl the docs for the magic hex value.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit a49906e26616c405d41631d5e1b0be0a366d2c30
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Jun 11 19:21:27 2014 +0300

    lib/igt_debufs: Add IGT_NO_FORCEWAKE environment variable
    
    If IGT_NO_FORCEWAKE is set, skip the forcewake open. Useful when you
    want to poke at register without otherwise disturbing the GPU.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit aba3582bb402b5cb5e48d81c5e32231fa42634d7
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed Jun 11 19:20:19 2014 +0300

    lib/igt_debugfs: Don't fail if debugfs is already mounted
    
    Remove the igt_assert() from the debugfs mount. It will fail if debugfs
    is already mounted. With the assert in place it's very annying to use
    igt without i915 loaded (eg. to dump BIOS configured registers).
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit c9c554594ef074b9149f84da8fb42c9ea629c027
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 18:27:59 2014 +0200

    tests: run igt.cocci
    
    Re-run with correct igt_fail rules. Again manually fixup missing
    includes for igt_core.h.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 87042d671fba3c76786171a8037515979e977d9d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 16:23:10 2014 +0200

    NEWS: Mention igt.cocci
    
    And also pimp the spatch file itself with usage hints.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 2347e6d21eb1431479358955007a4c78430173d8
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 18:01:33 2014 +0200

    lib: Introduce igt_fail_on/_f
    
    I've yet again totally screwed things up (this time automated with
    cocci even, but not yet pushed luckily). So finally add a new version
    for easier conversion and adjust the cocci script.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 46811c849a79892f6d0a63ae5425e59989244978
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 15:45:30 2014 +0200

    lib/igt.cocci: Also add rule to use igt_warn_on_f
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 9eb9345f9949f26bd4a5cae33a10809c5d05fe21
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 15:45:12 2014 +0200

    lib/igt.cocci: Convert abort() to igt_fail
    
    abort should only be used for internal library checks - using
    abort() we get a "crash" result, using igt_fail we get "fail"
    in piglit.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit bde52d1a08a7aeb9afe1e6cf642ba764674059da
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 15:41:28 2014 +0200

    lib/igt.cocci: Conversion to igt logging
    
    Also update old hunks to match on igt logging instead of fprintf.
    
    v2: Don't forget about perror.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 6b73a9a2887fb45fc43b75c918daf0b50d2a44b9
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 15:32:50 2014 +0200

    tests: Don't use stderr for informational messages
    
    These should go to stdout instead. The next patch will clean this up
    with cocci, so no change from fprintf(stdout, to printf( here.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 652e5441504ddded9d6b138cd6df3447ed9b2e74
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 15:19:09 2014 +0200

    tests/pm_psr_sink_crc: Fix longjmp fun
    
    igt_fixture and igt_subtests use longjmp/setjmp internally, which
    means local variables at the same stack frame are at risk. Best
    practice is to move them out right in front of the igt_main block.
    
    It would be awesome if someone could come up with a cocci patch to
    auto-fix this, but unfortunately my attempts failed.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit ac0e606677823d27836708300a2c5ee05d24b458
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 18:03:50 2014 +0200

    Revert "tests: Run igt.cocci over tests"
    
    This reverts commit 6903ab04e5f9048e3932eb3225e94b6a228681ba.
    
    The igt_assert conversion rule is broken and doesn't invert the check
    as it should.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit bfede4ed2b401069c3130399ff5c2580e6ccbf77
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 13 15:46:33 2014 +0100

    igt/gem_fence_upload: Exercise contention on the fault handler
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 6903ab04e5f9048e3932eb3225e94b6a228681ba
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 11:06:18 2014 +0200

    tests: Run igt.cocci over tests
    
    Cocci is awesome
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 66b31b6e196bdb869a7bd3e29d86dd9712606601
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 11:16:28 2014 +0200

    lib: add igt.cocci
    
    Small start but useful to collect refactorings/simplifications for
    common igt patterns. Please add more if you stumble over some so that
    we can occasionally run this to clean up the tests.
    
    I haven't figured out yet how to do the assert_cmpint->assert_eq
    transformation.
    
    Run this with
    
    spatch --sp-file lib/igt.cocci --in-place tests/*.c
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 3448b5ad4b2536c1eca3ecc5060739ea8dbec1e5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 10:46:55 2014 +0200

    lib/igt_core: Add igt_assert_eq
    
    Suggested by Chris Wilson. Not yet rolled out since I'm trying to use
    cocci for this.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit b4c1f2ea0fc3fc3e361c26a83dc9468682a3c8e0
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 10:23:01 2014 +0200

    tests/prime_self_import: Use igt_assert_cmpint
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit ea0116cdcd36f208ff7b5312e7684db85f395de3
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 13 10:18:24 2014 +0200

    tests/kms_psr_sink_crc: Skip properly
    
    Aside: The test has way too many bool return values that are then
    always checked with igt_assert. Imo cleaner to switch to a more
    declarative approach and shovel the igt_assert/require into those
    functions instead.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=79962
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c1192c4db48f4329a97d2e72dd8d97920164c63a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 12 17:01:02 2014 +0100

    igt/gem_fence_upload: Throw some threads into the mix
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d242f2e2a31fdc9887cc34cda0eeb92f7dc70d20
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 12 11:50:01 2014 +0100

    igt/gem_mmap_gtt: Exercise concurrent pagefaulting
    
    This should hit the BUG inside remap_pfn_range in
    
    commit c5158fabeaf53ed2c614c3333aaa4b3cce80f500
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Jun 10 12:14:41 2014 +0100
    
    [   27.767634] kernel BUG at mm/memory.c:2315!
    [   27.767655] invalid opcode: 0000 [#1] SMP
    [   27.767679] Modules linked in: cpufreq_userspace cpufreq_powersave cpufreq_stats cpufreq_conservative binfmt_misc nfs lockd fscache sunrpc hid_generic usbhid hid x86_pkg_temp_thermal microcode i2c_i801 lpc_ich mfd_core battery acpi_cpufreq evdev processor ac loop ehci_pci xhci_hcd ehci_hcd sr_mod usbcore cdrom usb_common fan thermal
    [   27.767872] CPU: 3 PID: 912 Comm: gem_mmap_gtt Not tainted 3.15.0-rc8+ #953
    [   27.767903] Hardware name: Intel Corporation Shark Bay Client platform/Flathead Creek Crb, BIOS HSWLPTU1.86C.0109.R03.1301282055 01/28/2013
    [   27.767956] task: ffff880448415010 ti: ffff88044d22c000 task.ti: ffff88044d22c000
    [   27.767988] RIP: 0010:[<ffffffff81130734>]  [<ffffffff81130734>] remap_pfn_range+0x2a4/0x400
    [   27.768033] RSP: 0000:ffff88044d22fc28  EFLAGS: 00010282
    [   27.768057] RAX: 0000000000020002 RBX: 00000000000a3b57 RCX: ffff880448b73fe8
    [   27.768088] RDX: 0000000000000002 RSI: ffff880000000000 RDI: ffffea000efe8158
    [   27.768119] RBP: ffff88044d22fcd8 R08: 00007fc7b57fe000 R09: 00007fc7b57fe000
    [   27.768150] R10: 00000000000001fd R11: 0000000000000a9a R12: ffffea000efe8128
    [   27.768180] R13: 0000000000000001 R14: 00007fc7b57fd000 R15: 800000000000002f
    [   27.768212] FS:  00007fc7977fc700(0000) GS:ffff88045e380000(0000) knlGS:0000000000000000
    [   27.768246] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
    [   27.768272] CR2: 00007fc7b67fd000 CR3: 000000044866c000 CR4: 00000000001407e0
    [   27.768303] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
    [   27.768333] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
    [   27.768363] Stack:
    [   27.768374]  ffff880448bbb6f8 00000000ffffffff 00007fc7b57fdfff 00007fc7b57fdfff
    [   27.768414]  00007fc7b57fe000 ffff88044866c7f8 ffff8804496b08f0 00007fc7b57fdfff
    [   27.768454]  fffffff8038ee35a 0000000000001000 ffff88044c208180 00007fc7b57fe000
    [   27.768494] Call Trace:
    [   27.768511]  [<ffffffff81365277>] i915_gem_fault+0x337/0x340
    [   27.768538]  [<ffffffff8112d3c4>] __do_fault+0x34/0x70
    [   27.768565]  [<ffffffff8109088e>] ? wake_up_process+0x1e/0x40
    [   27.768592]  [<ffffffff8113015c>] do_shared_fault.isra.96+0x2c/0x1f0
    [   27.768623]  [<ffffffff81502405>] ? rwsem_down_read_failed+0xe5/0x130
    [   27.768654]  [<ffffffff810a2519>] ? __rwsem_do_wake+0x129/0x160
    [   27.768682]  [<ffffffff81131085>] handle_mm_fault+0x2b5/0xb80
    [   27.768712]  [<ffffffff81270a64>] ? call_rwsem_down_read_failed+0x14/0x30
    [   27.768745]  [<ffffffff81036c67>] __do_page_fault+0x167/0x4c0
    [   27.768774]  [<ffffffff8109a540>] ? pick_next_task_fair+0x700/0x870
    [   27.768804]  [<ffffffff814ff23b>] ? __schedule+0x27b/0x860
    [   27.768831]  [<ffffffff81036fec>] do_page_fault+0xc/0x10
    [   27.768857]  [<ffffffff815034a2>] page_fault+0x22/0x30
    [   27.768881] Code: 4d 85 ed 49 0f 44 d7 80 cc 02 49 81 c6 00 10 00 00 48 83 c3 01 48 83 c1 08 48 09 d0 48 89 41 f8 4d 39 f0 74 32 48 83 39 00 74 c4 <0f> 0b 66 2e 0f 1f 84 00 00 00 00 00 48 39 37 75 63 48 8b 45 c8
    [   27.769081] RIP  [<ffffffff81130734>] remap_pfn_range+0x2a4/0x400
    [   27.769113]  RSP <ffff88044d22fc28>
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8a23da43d4eb502375620b53d11d36797447a309
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jun 11 17:13:39 2014 +0100

    docs: remove unused annotation glossary include
    
    API annotations are not used anywhere in the documentation, so the
    annotation glossary is not built.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit cd714f93e833284b1710e58d21240a3e21adec2a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jun 11 15:32:14 2014 +0100

    docs: always rebuild the sections file
    
    Always rebuild the sections file since it currently doesn't contain any
    custom modifications.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit bbd014e1632f4e906bb9c2386174eca8fa263bac
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jun 11 11:46:39 2014 +0100

    docs: add private headers to IGNORE_HFILES
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 52a3a2e205da1679487a99699713dee240437255
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 9 17:23:21 2014 +0100

    lib: various documentation fixes
    
    Fix some documentation comments and mark some struct members private.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 25663d9fe3d6e762132022e1af651a99f9b928a3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 9 14:45:44 2014 +0100

    gitignore: add missing files and keep lists sorted
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 3dd7ad14d3322a727365745e94cbe46975acc423
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 9 14:05:42 2014 +0100

    README: update the section on modifying and rebuilding documentation
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 1e5c8780d03f78c17963108896354296f7313c61
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 9 14:02:04 2014 +0100

    lib: remove /** from comments that are not API documentation
    
    These comments are not gtk-doc comments, so replacing /** with /*
    prevents any gtk-doc warnings.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit 6d28f6a91a7a6db36a58e1fa81ef6d8358104b26
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 9 13:35:21 2014 +0100

    README: update piglit instructions
    
    Piglit now has a top level "piglit" command and the location of the
    tests can now be read from an environment variable.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit c54ee9819a4aa9ba521f67e4a58ea2de87dc7485
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jun 6 15:28:50 2014 +0100

    quick_dump: read the architecture files for items to add to EXTRA_DIST
    
    Each architecture file contains a list of the text files it requires, so
    use this to add to the list of files to distribute.
    
    Signed-off-by: Thomas Wood <thomas.wood@intel.com>

commit e10c9a730d840d4e1867374e41a58f97d6086371
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 12 09:05:55 2014 +0200

    tests/gem_fence_upload: Fix test wrapper
    
    - tests with subtests need to be in the _M target for correct
      enumeration.
    
    - No need for igt_exit when using the igt_(simple_)main wrappers.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 618aca1fb9649012910acbaa79a917ff4f3ff19b
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 12 09:04:20 2014 +0200

    lib/intel_os: Spelling fix
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit c62ce339f2d57e4be632d9bcea785ff087326bd9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 3 15:52:00 2014 +0000

    tests: add gem_fence_upload
    
    This test demonstrates the performance cliff clients face when they
    unwittingly use too many fenced surfaces in a looped upload.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 27d37a1f1034630a62bfbbb0235db1b0bcea98ac
Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
Date:   Wed Mar 19 22:43:51 2014 -0300

    tests/kms_psr_sink_crc: Create test to test PSR by checking panel CRC.
    
    v2: Wait psr enable with timeout and more subtest added.
    v3: Add wait for v_blank leeting test more reliable and preparing to
        add Baytrail per-pipe tests.
    v4: Call busy_ioctl on mmap_gtt to match the real usage and remove the need
        of inactivate on set_domain, what was semantically wrong.
    v5: Adding more test cases to cover mmap_gtt with and without followed by
        busy ioctl and also without busy and waiting 10 seconds between
        set_domain and actual write.
    v6: rebase after kms_plane added and debugfs api changed.
        Plus adding more test cases.
    v7: Some rework and sprite test added
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@gmail.com>

commit 8c4dd1d898aa8ff9cea63d574be575a8f9325ff7
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri May 31 15:33:21 2013 +0100

    list-workarounds/chv: Add Cherryview to the list of valid platorms
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit 35554a1bcaaea55c1cfa88c0176c58d2fb3b8013
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 10 11:05:16 2014 +0200

    Revert "Add rc6_residency_counter subtest"
    
    This reverts commit 9a70e29f8380c2fc6f9b43757c68e24bf2619061.
    
    Patch needs polish and after a quick irc discussion Ben&I agreed that
    the revert is in order.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4e9df4fe5fef283c23e62fd7348fae4943a9fa6b
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Jun 10 14:51:44 2014 +0300

    tests/kms_fbc_crc: Update blit code for BDW
    
    Switch to XY_COLOR_BLT from COLOR_BLT and use the appropriate
    macros to make the code work on BDW.
    
    Also make the blit 8bpp instead if 16bpp. 8bpp is what it was
    supposed to use all along.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=76307
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 210d20f413626321c0c1650b97d1cb0f0b400c2d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jun 10 14:29:00 2014 +0100

    API docs for intel_check_memory()
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 0617b0b3b897f7a070466af400da55e2b234e9be
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 10 08:18:37 2014 +0200

    NEWS: post-release bump

commit 32bb5d9f150bc953dbed4636ded2758be03a739c
Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
Date:   Mon Jun 9 11:30:15 2014 -0700

    bump version to 1.7 and add the release date
    
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@gmail.com>

commit 82ad15fd1040a0457ebe22edabfaa69c44577412
Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
Date:   Mon Jun 9 11:15:47 2014 -0700

    Fix make distclean by fixing includes of version.h
    
    Actually only the igt_core was breaking the make distcheck,
    but let's make it consistent and let the code cleaner.
    
    Credits-to: Reviewed-by: Ben Widawsky <ben@bwidawsk.net>
    Signed-off-by: Rodrigo Vivi <rodrigo.vivi@gmail.com>

commit 5a856e11fc84ec9e087aa1c52a492eb81b2c1985
Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
Date:   Mon Jun 9 10:48:10 2014 -0700

    null_state_gen: Fix Makefile.am for make distcheck

commit 9bddb5eebd9819c4892fec72d6d5b6e2e2496b8b
Author: Rodrigo Vivi <rodrigo.vivi@gmail.com>
Date:   Mon Jun 9 10:47:13 2014 -0700

    quick_dump: Fix vlv file names on Makefile.am

commit 18d2130110331e45423dff96aeec3ea802fa0857
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 6 08:43:08 2014 +0100

    igt/gem_evict_alignment: Fix the memory limits checking
    
    We actually allocate twice as many bo as needed to fill the aperture to
    cause ENOSPC, but the entire payload has to still fit into RAM.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=75138
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 39329479a51768e64cf710bc14b50803446e554d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 6 08:43:08 2014 +0100

    igt/gem_evict_alignment: Fix the memory limits checking
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=75138
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 033c400e9bd53f95cccff3524c79a298c81bd3da
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 6 08:40:36 2014 +0100

    igt/gem_evict_alignment: Remove obsolete skip on gen8+
    
    If the BLT commands, aren't fixed yet, they should be. ASAP.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9a70e29f8380c2fc6f9b43757c68e24bf2619061
Author: Wendy Wang <wendy.wang@intel.com>
Date:   Thu Jun 5 10:27:42 2014 +0800

    Add rc6_residency_counter subtest
    
    Move rc6_residency_check to subtest, add new rc6_residency_counter subtest
    for pm_rc6_residency IGT case.
    
    Test results run on platforms show as below:
    On HSW
    ---------------------------------------
    [root@x-hswu opt]# ./pm_rc6_residency
    IGT-Version: 1.6-g35b31df (x86_64) (Linux: 3.15.0-rc3_drm-intel-nightly_0791a3_20140520+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    This machine doesn't support rc6pp
    This machine doesn't support rc6p
    This machine entry  rc6 status.
    The residency counter : 0.999667
    Subtest rc6-residency-counter: SUCCESS
    
    On IVB
    ----------------------------------------
    [root@IVB tests]# ./pm_rc6_residency
    IGT-Version: 1.6-g35b31df (x86_64) (Linux: 3.13.6_20140318+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    This machine entry  rc6p status.
    The residency counter : 0.997000
    Subtest rc6-residency-counter: SUCCESS
    
    On BYT
    ----------------------------------------
    root@x-byt:/opt# ./pm_rc6_residency
    IGT-Version: 1.6-g0d39021 (x86_64) (Linux: 3.14.0_kcloud_ceabbb_20140521+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    This machine doesn't support rc6pp
    This machine doesn't support rc6p
    The residency counter : 1.144333
    Test assertion failure function rc6_residency_counter, file pm_rc6_residency.c:131:
    Last errno: 0, Success
    Failed assertion: counter_result <=1
    Debug files must be wrong,
    Subtest rc6-residency-counter: FAIL
    
    On BDW
    ---------------------------------------
    [root@x-bdw01 opt]# ./pm_rc6_residency
    IGT-Version: 1.6-g0d39021 (x86_64) (Linux: 3.15.0-rc5_drm-intel-nightly_367653_20140521+ x86_64)
    Subtest rc6-residency-check: SUCCESS
    This machine doesn't support rc6pp
    This machine doesn't support rc6p
    The residency counter : 0.994333
    This machine entry rc6 state.
    Subtest rc6-residency-counter: SUCCESS
    
    Signed-off-by: Liu, Lei A <lei.a.liu@intel.com>
    Signed-off-by: Wendy Wang <wendy.wang@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit b428f24f7caa1286cdcf0794078547f3b27e69b3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 5 13:33:25 2014 +0100

    lib: Add debug to memory limits checks
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a1a8aa16fb4e27a267f4ac12883419114a020dd7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 5 13:19:39 2014 +0100

    igt/gem_evict_everything: Compute number of surfaces to saturate the aperture
    
    The goal is to only fill the aperture, not all of memory, so fine-tune
    the computed number of surfaces, hopefully avoiding an integer overflow
    in the process.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=79573
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5141b21f915ce7e857bcacbd1eb4ec9eebf3fe93
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 5 10:28:09 2014 +0200

    lib/igt_debugfs: Fix spelling docs
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit badb026ae0943d401a944d0d0fc09a7977315fe5
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Tue Jun 3 14:52:30 2014 -0700

    rendercopy/gen8: Also emit 3DSTATE_WM_DEPTH_STENCIL.
    
    rendercopy was failing to emit 3DSTATE_WM_DEPTH_STENCIL, which is a new
    packet on Broadwell.  Mesa emits this packet.
    
    This appears to fix various tests on a fresh boot, when Mesa has never
    run.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78890
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78891
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78935
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78936
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78937
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=78938
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Ben Widawsky <ben@bwidawsk.net>
    Tested-by: Guo Jinxian <jinxianx.guo@intel.com>
    Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>

commit 11e62a3927e415f88dae3519578d9bba8def3128
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Wed May 28 20:05:59 2014 +0300

    tests/kms_flip: Move EBUSY to a new busy-flip subtest
    
    The EBUSY checking is very fragile currently in case there's any kind
    extra delay in the test loop. At least the flip-vs-rmfb fails reliably
    on my IVB.
    
    So to make the test less fragile remove the EBUSY check from all the
    current flip tests, and instead add a specific busy-flip test. To
    better guarantee that we get the EBUSY add a blocking vblank wait just
    before we issue the first flip. This maximizes the time we have to
    submit two flips during one frame.
    
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit ddf92db9147375a4d0fc3ee861519bc1d6b0214b
Author: Tim Gore <tim.gore@intel.com>
Date:   Wed Jun 4 09:32:54 2014 +0100

    intel-gpu-tools: move kms_fence_pin_leak to single test list
    
    In Makefile.sources, kms_fence_pin_leak was in the "Multi" test list,
    ie tests with subtests, whereas it is actually simple/single test.
    This was confusing the Android script for enumerating tests.
    
    Signed-off-by: Tim Gore <tim.gore@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 1451df1cb692bf04e5733b5d9ea00d0757f257a4
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 16:52:48 2014 +0300

    quick_dump: increase reg name column width
    
    Needed by the new long audio register names.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit ea43f5163a01d9bb2b7fd23dd6316c9f863ded86
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 16:04:47 2014 +0300

    quick_dump: vlv: remove redundant base file specifications
    
    The registers in these files are included in the dumps for all platforms
    by default, so no need to specify them explicitly.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 24cd3843cb222cc17f446315b0bce813a14758c8
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 15:44:27 2014 +0300

    quick_dump: vlv: move flisdsi register group to its logical place
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 75b921688d0105743ef14783eed4ceda9d01baeb
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 15:55:11 2014 +0300

    quick_dump: vlv: add missing dpio phy registers
    
    Also move the phy register block to its logical place.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 9da08fed032a8560959ff306cd862d44f26ed46f
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 14:26:30 2014 +0300

    quick_dump: vlv: add missing display registers
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 92378d3b778c408999a3dd84698038e681692fa0
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 16:11:52 2014 +0300

    quick_dump: chv: add misc gen7 GT registers
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit 861cea8b5245776c7ea9515b02d20449395a3132
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 02:02:24 2014 +0300

    quick_dump: chv: add dsi (mipi) registers
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit a4b53d2125a68d431587ae5f004e028ef181290f
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Jun 3 01:59:45 2014 +0300

    quick_dump: vlv: clean up dsi (mipi) registers
    
    Split out the base offset into the third argument and rename MIPIB to
    MIPIC to match the display cluster register HAS.
    
    Signed-off-by: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

commit a115c4820802508733cdf7100f4de63c8d3dc50f
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Mar 21 10:07:43 2014 -0700

    quick_dump: chv: add full dpio phy dumps
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Reviewed-by: Imre Deak <imre.deak@intel.com>

commit e23f1fdfeed49f0b61b528940effefc089f008d2
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Mar 21 01:51:29 2014 -0700

    quick_dump: chv: add display registers
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    [imre: add audio regs]
    Reviewed-by: Imre Deak <imre.deak@intel.com>

commit 6d2577c74117e0f246152d2a16c96626c496a824
